<?php
include '/root/common.php';
?>

<!DOCTYPE html>
<html>
<head>
<title>BS1770GAIN</title>
<meta charset="utf-8">
<meta name="keywords" content="pbelkner,BS.1770,EBU R128,loudness">
<meta name="author" content="Peter Belkner">
<link rel="stylesheet" type="text/css" href="css/styles.css">
<style type="text/css">
<!--
/*pre { white-space: pre-wrap; font-family: monospace; color: #000000; background-color: #ffffff; }
body { font-family: monospace; color: #000000; background-color: #ffffff; }*/
.vim { font-size: 1em; font-family: monospace; color: #000000; background-color: #ffffff; }
.Statement { .vim; color: #a52a2a; font-weight: bold; }
.Type { .vim; color: #2e8b57; font-weight: bold; }
.Special { .vim; color: #6a5acd; }
-->
</style>
<script type="text/javascript">
if (0<=navigator.appVersion.indexOf("Win")) {
  var pfx="win32"
  var sep="\\"
  var env=function(x) {
    return "%"+x+"%"
  }
  var so=function(name,ver) {
    return name+"-"+ver+".dll"
  }
}
else {
  var pfx="gtk3"
  var sep="/"
  var env=function(x) {
    return "${"+x+"}"
  }
  var so=function(name,ver) {
    return "lib"+name+".so."+ver
  }
}

pbelkner={}
pbelkner.images={}

pbelkner.image_onload=function(src,percent) {
  var img=document.getElementById(src)
  var entry=pbelkner.images[src]={}
  var width=img.width

  entry.width=width
  img.setAttribute("width",0.01*percent*width)
}

pbelkner.image_toggle=function(src,percent) {
  var e=document.getElementById(src)
  var width=Number(e.getAttribute("width"))

  if (width<pbelkner.images[src].width)
    e.setAttribute("width",pbelkner.images[src].width)
  else
    e.setAttribute("width",0.01*percent*pbelkner.images[src].width)
}

pbelkner.youtube=function(min,...restArr) {
  var i;

  document.writeln("<center>");
  document.write("  <iframe width='597' height='336' src='https://www.youtube.com/embed/");

  document.write(restArr[min]);
  document.write("?playlist=");

  if (min<restArr.length) {
    for (i=min;i<restArr.length;++i) {
      document.write(",");
      document.write(restArr[i]);
    }
  }
  else {
    document.write(",");
    document.write(restArr[min]);
  }

  document.writeln("&loop=1' frameborder='0' allow='accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture' allowfullscreen></iframe>");

  for (i=0;i<min;++i) {
    document.writeln(0<i?"  &amp;":"  <br>(C) by");
    document.write("  <a target='blank' href='");
    document.write(restArr[i][1]);
    document.write("'>");
    document.write(restArr[i][0]);
    document.write("</a>");

    if (restArr[i][2]) {
      document.write(" ");
      document.writeln(restArr[i][2]);
    }
    else
      document.writeln();
  }

  document.writeln("</center>");
}
</script>
</head>
<body style="font-family:arial;font-size:14px">
<?php swr(); ?>


<h2>BS1770GAIN</h2>

<div class="preamble">
<p>Last updated on 230611-0935
<address>
Copyright &copy; 2014-2022 by
<a href="http://pbelkner.de/" target="_blank">Peter Belkner</a>
<a href="&#x6D;&#x61;&#x69;&#x6C;&#x74;&#x6F;&#x3A;&#x50;&#x65;&#x74;&#x65;&#x72;&#x20;&#x42;&#x65;&#x6C;&#x6B;&#x6E;&#x65;&#x72;&#x20;&#x3C;&#x69;&#x6E;&#x66;&#x6F;&#x40;&#x70;&#x62;&#x65;&#x6C;&#x6B;&#x6E;&#x65;&#x72;&#x2E;&#x64;&#x65;&#x3E;">&lt;&#x69;&#x6E;&#x66;&#x6F;&#x40;&#x70;&#x62;&#x65;&#x6C;&#x6B;&#x6E;&#x65;&#x72;&#x2E;&#x64;&#x65;&gt;</a>
</address>

<p>This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

<p>This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

<p>You should have received a copy of the GNU General Public License
along with this program. If not, see
&lt;<a href="http://www.gnu.org/licenses/"
    target="_blank">http://www.gnu.org/licenses/</a>&gt;.

</div>

<p><b>BS1770GAIN is a loudness scanner compliant with ITU-R BS.1770 and its
flavors EBU R128, ATSC A/85, and ReplayGain 2.0. It helps normalizing the
loudness of audio and video files to the same level.</b>

<p><a name="political"><a target="_blank" href="https://en.wikipedia.org/wiki/Standing_on_the_shoulders_of_giants">Nanos gigantum humeris insidentes</a>: This project is dedicated to my German heritage. It is strictly to be understood as a statement against the saccarine "sweet" liberal lie of "multiculturalism" which is going to destroy Europe as we know it, in particular against the Merkel regime selling out Europe for nothing as we watch.
<i>#WLM</i>

<p><table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td style="text-align:right"><b>Home:</b></td>
  <td>&nbsp;</td>
  <td><a target="_blank" href="http://pbelkner.de/projects/web/bs1770gain/">http://pbelkner.de/projects/web/bs1770gain/</a></td>
</tr>
<tr>
  <td style="text-align:right"><b>Download:</b></td>
  <td>&nbsp;</td>
  <td><a href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/" target="_blank">http://pbelkner.de/projects/files/bs1770gain/bs1770gain/</a></td>
</tr>
</table>

<h3>Content</h3>
<ol>
  <li><a href="#hist">News</a>
  <li><a href="#intro">Introduction</a>
  <li><a href="#usage">Usage</a>
  <li><a href="#cli">Command Line Syntax</a>
  <li><a href="#test">Test Cases</a>
</ol>

<a name="hist"><h3>1. News</h3>

<p><div class="history"><table style="width:100%">
<tr><!-- [ -->
  <th>Date</th>
  <th>Release</th>
  <th>Notes</th>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-03-16">2020-03-16</a>
    <center><i>pinned</i></center></td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><ul>
  <li>Because we&rsquo;ve the impression that <i>bs1770gain</i> has been dropped
    from all (tracked) <i>Linux</i> repositories (except <i>Chocolatey</i>
    which btw is not a <i>Linux</i> repository) we&rsquo;ve decided to move
    <i>Packaging Status</i> from this main page to a
    <a target="_blank" href="packaging.html">secondary page</a>.
    &minus; <b>2020-05-05:</b>
    <a target="_blank" href="https://www.opensuse.org/#Tumbleweed">openSUSE Tumbleweed</a>
    is breaking out from the boycott (&ldquo;lockdown&rdquo;.)
    &minus; <b>2020-10-22:</b>
    As far as we can see,
    <i>videohelp.org</i>
    seems to be the only re-distributor
    <a target="_blank" href="https://www.videohelp.com/software/R128GAIN">still re-distributing us</a>
    even from our new home.
  <li>Cf. e.g.
    <a target="_blank" href="https://wiki.termux.com/wiki/Dev:Development_Session_42#Removal_of_bs1770gain_from_repo">Removal of bs1770gain from repo</a>:
    <p><ul>
    <li>Package contains right-extremist views in project changelog and as string in package
    <li>Discussed in
    <a target="_blank" href="https://github.com/termux/termux-packages/issues/4455">https://github.com/termux/termux-packages/issues/4455</a>
    <li>bs1770gain is not widely downloaded, but enhances the python package beets. There are so far no available replacement packages that work with beets
    </ul>
    <br>&nbsp;<a href="javascript:pbelkner.image_toggle(&apos;images/beets.png&apos;,&apos;67&apos;)"><img id="images/beets.png" src="images/beets.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/beets.png&apos;,&apos;67&apos;)"></a>
  <li><a name="sick">On some <i>beets</i> related mailing list you might
    <a target="_blank" href="https://www.bountysource.com/issues/69042888-replaygain-bs1770gain-backend-is-associated-with-white-nationalism">read</a>
    <br>&nbsp;<a href="javascript:pbelkner.image_toggle(&apos;images/beets2.png&apos;,&apos;67&apos;)"><img id="images/beets2.png" src="images/beets2.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/beets2.png&apos;,&apos;67&apos;)"></a>
    <br>What does this guy wants to tell us by stating "I am Terran, born in Germany by pure chance"?
    The only thing that makes some kind of sense to us is reading it as
    <blockquote>
    Have mercy!
    Even if born in <i>Germany</i> I&apos;m not a <i>German</i>, not an evil evil <i>Naaaaazi</i> just like this <i>Racist</i>.
    Mercy, mercy! I&apos;m a proud
    <a target="_blank" href="https://starcraft.fandom.com/wiki/Terran">Terran</a>!
    </blockquote>
    Such people are obviously sick.
    Unfortunately&#44; in <i>Germany</i> 80&#37;&minus;90&#37; of the people are affected by
    <a target="_blank" href="https://en.wikipedia.org/wiki/Folie_%C3%A0_deux">folie &agrave; deux</a>
    (due to <i>75</i> years of post <i>WWII</i> re-education)
    and locked into
    <a target="_blank" href="https://en.wikipedia.org/wiki/Self-hatred">self-hatred</a>.
    <p><script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Der Michel","https://www.youtube.com/channel/UC_qBgQtCCxEPZ0JVTL3tjvg/videos","(YMD :-)))))))"],
      "_pvIL75XbHc");
    </script>
    <p><a name="wo-stehen-unsre-letzten-burgen"></a>
    <script type="text/javascript">
    pbelkner.youtube(
      2,
      ["Karl Sternau","https://www.youtube.com/user/Segelfliegerkamerad/videos"],
      ["Der Michel","https://www.youtube.com/channel/UC_qBgQtCCxEPZ0JVTL3tjvg/videos"],
      "K5A1WPpvbxY","3ZgPFtfQGzk","FeEH_iiW2Jg","PCory-Yu9uw","Sk34MKxl3Bg","dAKNv5iHjMo");
    </script>
    <p>
  <li><b>2020-03-17</b> &minus; There&apos;s a tendency in <i>open source</i> software development
    we don&apos;t support and which is illustrated by the following examples
      (<a target="blank" href="https://stevehely.com/2017/11/16/the-revolution-eats-its-children/">the revolution eats its children</a>):<ul>
    <li>the influential founder of the
      <a target="_blank" href="https://en.wikipedia.org/wiki/Free_Software_Foundation">FSF</a>,
      <a target="_blank" href="https://en.wikipedia.org/wiki/Richard_Stallman">Richard Stallman</a>,
      was
      <a target="blank" href="https://www.fsf.org/news/richard-m-stallman-resigns">forced to step down</a>,
    <li>the influential creator of
      <a target="_blank" href="https://en.wikipedia.org/wiki/Linux">Linux</a>
      and
      <a target="_blank" href="https://en.wikipedia.org/wiki/Git">Git</a>
      (the latter making it a snap to steal away &minus; "clone" &minus; software),
      <a target="_blank" href="https://en.wikipedia.org/wiki/Linus_Torvalds">Linus Torwalds</a>,
      was
      <a target="blank" href="https://www.reddit.com/r/linux/comments/d5cc4b/linus_torvalds_had_to_quit_because_of_his_harsh/">forced to step down</a>
      (please note that there are already attempts to "clone" <i>bs1170gain</i>), and
    <li>the influential former head of the
      <a target="_blank" href="https://en.wikipedia.org/wiki/FFmpeg">FFmpeg</a>
      project,
      <a target="_blank" href="http://www.google.com/search?q=site:linkedin.com+&quot;michael niedermayer&quot;+&quot;ffmpeg&quot;">Michael Niedermayer</a>, 
      having struggled for
      <a target="blank" href="https://lwn.net/Articles/423702/">some years</a>
      finally
      <a target="blank" href="https://www.reddit.com/r/programming/comments/3fdsgw/ffmpeg_team_lead_michael_niedermayer_resigns/">gave up</a>.
    </ul>
    We&apos;d like to call this tendency "erasure of influential individuals
    names" replacing the erased names by the term "the community" those
    strongly hinting that said tendency is a form of pure <i>communism</i>.
    Looking back we&apos;ve the impression that the text
    <a target="blank" href="https://en.wikipedia.org/wiki/The_Cathedral_and_the_Bazaar">The Cathedral and the Bazaar</a>
    tried to give kinda theoretical (not to say ideological) excuse regarding that tendency.
    The agenda is, of course, pushed forward not by an abstract "community" but by sick individuals
    like the one
    <a href="#sick">quoted above</a>
    and the one
    <a href="#jelle">quoted below</a>
    (most likely never in their live having written a single line of
    <a target="blank" href="https://en.wikipedia.org/wiki/ANSI_C">C-code</a>.)
  <li><b>2020-06-03</b>
    &minus;
    As it seems our days at
    <a target="_blank" href="https://sourceforge.net/">Sourceforge</a>
    are counted. At least we&rsquo;ve received a respective ultimatum:
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/sourceforge-20200603.png&apos;,&apos;67&apos;)"><img id="images/sourceforge-20200603.png" src="images/sourceforge-20200603.png" onload="pbelkner.image_onload(&apos;images/sourceforge-20200603.png&apos;,&apos;67&apos;)"></a>
    </blockquote>
    Isn&lsquo;t it funny that this is happening at the exact same time as <i>Donald J. Trump</i>
    is going to crack down all that <i>commie scum</i>?
  <li><b>2020-06-08</b>
    &minus;
    These days where anything and everything has a motto it remains <i>Sorceforge</i>&rsquo;s
    secret why prohibiting a motto in favor of one&rsquo;s own people. Anyway, we&rsquo;re going to leave:<ul>
    <li>this page is already at
      <a target="_blank" href="http://pbelkner.de/projects/web/bs1770gain/">http://pbelkner.de/projects/web/bs1770gain/</a>, and
    <li>the project&rsquo;s downloads are already at
      <a target="_blank" href="http://pbelkner.de/projects/frs/bs1770gain/bs1770gain/">http://pbelkner.de/projects/frs/bs1770gain/bs1770gain/</a>.
    </ul>
    In order to comply formally with their &rdquo;policies&ldquo; this page
    will simply be replaced by something similar to
    <a target="_blank" href="dummy-doc/index.html">dummy-doc/index.html</a>.
  <li><b>2020-06-14</b>
    &minus;
    The project has been moved to
    <a target="_blank" href="http://pbelkner.de/">http://pbelkner.de/</a>.
  <li><b>2020-06-30</b> &minus; We&rsquo;ve changed the above tag: <i>#TeamWhite</i> &rarr; <i>#WLM</i>.
    <blockquote style="width:800px">
    <img src="images/wlm.jpg">
    <br>(C) by
    <a target="blank" href="https://www.focus.de/intern/impressum/impressum-focus-online_aid_145454.html">FOCUS Online</a>
    </blockquote>
  <li><b>2020-07-03</b> &minus; <i>Google</i> puts us on page <i>3</i> hidden below a stack of unsupported <i>Linux</i>
    distributions (doing nothing other than spreading their <i>Commie</i>-agenda all over the world):
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/google-2020-07-03.png&apos;,&apos;67&apos;)"><img id="images/google-2020-07-03.png" src="images/google-2020-07-03.png" onload="pbelkner.image_onload(&apos;images/google-2020-07-03.png&apos;,&apos;67&apos;)"></a>
    </blockquote>
    <b>2020-07-04</b> &minus; Meanwhile its completely vanished.
  <li><a name="paul"><b>2020-07-04</b></a> &minus; By pure accident we&apos;ve just discovered an interesting
    discussion dating back already to fall 2018:
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/paul-1.png&apos;,&apos;67&apos;)"><img id="images/paul-1.png" src="images/paul-1.png" onload="pbelkner.image_onload(&apos;images/paul-1.png&apos;,&apos;67&apos;)"></a>
    <br><a href="javascript:pbelkner.image_toggle(&apos;images/paul-2.png&apos;,&apos;67&apos;)"><img id="images/paul-2.png" src="images/paul-2.png" onload="pbelkner.image_onload(&apos;images/paul-2.png&apos;,&apos;67&apos;)"></a>
    </blockquote>
    The discussion was continued elsewhere:
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/claudia-1.png&apos;,&apos;67&apos;)"><img id="images/claudia-1.png" src="images/claudia-1.png" onload="pbelkner.image_onload(&apos;images/claudia-1.png&apos;,&apos;67&apos;)"></a>
    </blockquote>
    Is someone believing that a <b>real woman</b> made out of flesh and blood is really writing such <i>BS</i>?
    At least we&apos;re not. We see an (anonymous) <i>Twitter</i> account driven by a <i>Commie</i> activist
    who is eagerly awaiting (for whatever reason &minus; most likely nothing other than <i>&#36;&#36;&#36;</i>)
    <i>Europe</i> looking like this:
    <p><blockquote>
    <b>Meanwhile the video displayed here has been removed by <i>YouTube</i> instead stating
    &ldquo;This video is no longer available because the YoutTube account associated with this has been terminated&rdquo;.
    The video (formerly available at URL "https://www.youtube.com/watch?v=0X5jYHNlkXI")
    was showing a negro openly roasting a cat in the streets of some small Italian town.</b></blockquote>
    <p>Thank you <i>Paul</i> for finding the clear words.
    <p style="margin-bottom:0">BTW: You should really have a look at the <i>Commie</i>-activist&apos;s
    <i>Twitter</i>-account in order to learn what kind of <i>BS</i> it is
    <a target="_blank" href="https://twitter.com/c_pellegrino">spreading</a>:
    Indeed, we&apos;ve never ever known a woman claiming to be a <i>Command line enthusiast</i> &hellip;
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/claudia-2-marked.png&apos;,&apos;33&apos;)"><img id="images/claudia-2-marked.png" src="images/claudia-2-marked.png" onload="pbelkner.image_onload(&apos;images/claudia-2-marked.png&apos;,&apos;33&apos;)"></a>
    </blockquote>
    <p style="margin-bottom:0">Dear &ldquo;Claudia&rdquo;, this was a little bit over the top. Hah, hah, hah &hellip;

  <li><b>2020-07-10</b> &minus; Wow, this morning <i>Google</i> puts us on page <i>one</i>!
    It&apos;s a bit volatile yet, but anyway, here we are &hellip;
    <blockquote>
    <a href="javascript:pbelkner.image_toggle(&apos;images/sourceforge-20200710-marked.png&apos;,&apos;50&apos;)"><img id="images/sourceforge-20200710-marked.png" src="images/sourceforge-20200710-marked.png" onload="pbelkner.image_onload(&apos;images/sourceforge-20200710-marked.png&apos;,&apos;50&apos;)"></a>
    </blockquote>
   <li><a name="paul"><b>2020-07-15</b></a> &minus; We&apos;ve learnd a word being <i>en vogue</i>
    these days and being new to us: <i>cancel culture</i>.
   <li><a name="stolzmonat2"><b>2023-06-06</b></a> &minus; #Stolzmonat<blockquote><img src="images/stolzmonat2.jpg"></blockquote>
   <li><a name="stolzmonat"><b>2023-06-04</b></a> &minus; #Stolzmonat<blockquote><img src="images/stolzmonat.jpg" width="50%"></blockquote>
  </ul>
  </td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2023-05-29">2023-06-11</a></td>
  <td valign="top" nowrap><a name="0.8.8">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.8/">0.8.8</a>
  </td>
  <td valign="top">
Unfortunately, with the <a href="#0.8.7">previous release</a> we introduced a (minor) bug we where hinted to by Debian
(when bs1770gain is called with option -o/--output and without option -a/--apply.)
<br>
<br>In file "libbg/bg_muxer.c" former line 377 had to be moved up a few lines to line 371 so that it is
guarded by flag "apply".
<br>
<br>Thanks a lot Debian!	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2023-05-29">2023-05-28</a></td>
  <td valign="top" nowrap><a name="0.8.7">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.7/">0.8.7</a>
  </td>
  <td valign="top">
    <ul><!-- [ -->
<li>Fixes an obviously long standing bug with the -a/--apply options.
<li>The FFmpeg used to build bs1770gain needs to be configured with option --enable-libmp3lame (cf e.g. <a target="_blank" href="https://stackoverflow.com/questions/5021120/ffmpeg-mp3-conversion-failed">https://stackoverflow.com/questions/5021120/ffmpeg-mp3-conversion-failed</a>.)
<li>@Debian: The configure.ac script is adapted following your <a target="_blank" href="https://sources.debian.org/src/bs1770gain/0.8.6.1-3/debian/patches/1000-debian-hurd.patch/">proposal<a> in order to support building on <i>Hurd</i>.
</ul><!-- ] -->
	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-10 26">2022-12-06</a></td>
  <td valign="top" nowrap><a name="0.8.6">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.6.2/">0.8.6.2</a>
  </td>
  <td valign="top">
Just a binary release build with a decent FFmpeg configured with option
--enablelibmp3lame. The source code is untouched.
	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-10 26">2022-12-06</a></td>
  <td valign="top" nowrap><a name="0.8.6">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.6.1/">0.8.6.1</a>
  </td>
  <td valign="top">
Fixes a bug in the muxer used e.g. with option -ao' we where hinted to by
Debian. Thanks a lot Debian!
	</td>
</tr><!-- ] -->
'
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-10 26">2022-12-03</a></td>
  <td valign="top" nowrap><a name="0.8.6">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.6/">0.8.6</a>
  </td>
  <td valign="top">
Bundles the changes of the latest &beta; releases especially configuration option <tt>--enable-xml</tt>.
	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-10 26">2022-10 26</a></td>
  <td valign="top" nowrap><a name="0.8.5">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.5/">0.8.5</a>
  </td>
  <td valign="top">
Bundles two changes suggested by Debian: <ul>
<li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.5-beta-1/">0.8.5-&beta;<sub>1</sub></a>
<li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.5-beta-2/">0.8.5-&beta;<sub>2</sub></a>
	</ul>
	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-05-31">2022-08-06</a></td>
  <td valign="top" nowrap><a name="0.8.4.1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4.1/">0.8.4.1</a>
  </td>
  <td valign="top">
This is just a minor update to the <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4/">0.8.4</a>-release w.r.t the latest version of the gcc-compiler in order to avoid a warning. It doesn&apos;t affect functionalty by any means, it&apos;s pure syntactically.<br>On the other  hand, unfortunately, it has no influence on what was said w.r.t <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-16/">0.8.4-&beta;<sub>16</sub></a>:<blockquote>bs1770gain is doomed to death.</blockquote>
	</td>
</tr><!-- ] -->

<tr><!-- [ -->
  <td valign="top" nowrap><a name="2022-05-31">2022-05-19</a></td>
  <td valign="top" nowrap><a name="0.8.4">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4/">0.8.4</a>
  </td>
  <td valign="top"><ul>
	  <li>Bundles the features known from <ul>
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-1/">0.8.4-&beta;<sub>1</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-2/">0.8.4-&beta;<sub>2</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-3/">0.8.4-&beta;<sub>3</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-4/">0.8.4-&beta;<sub>4</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-5/">0.8.4-&beta;<sub>5</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-6/">0.8.4-&beta;<sub>6</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-7/">0.8.4-&beta;<sub>7</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-8/">0.8.4-&beta;<sub>8</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-9/">0.8.4-&beta;<sub>9</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-10/">0.8.4-&beta;<sub>10</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-11/">0.8.4-&beta;<sub>11</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-12/">0.8.4-&beta;<sub>12</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-13/">0.8.4-&beta;<sub>13</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-14/">0.8.4-&beta;<sub>14</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-15/">0.8.4-&beta;<sub>15</sub></a>,
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-16/">0.8.4-&beta;<sub>16</sub></a> through
      <li><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.4-beta-17/">0.8.4-&beta;<sub>17</sub></a>.
		</ul>
		<li>Most likely this is the final release.
   </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-08-17">2020-08-17</a></td>
  <td valign="top" nowrap><a name="0.8.3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.3/">0.8.3</a>
  </td>
  <td valign="top"><ul>
  <li>Introduces option <i>--script=&lt;script to run instead of muxing&gt;</i>.
  <li>On Windows <i>&lt;script to run instead of muxing&gt;</i> should be a "bat"-file otherwise a shell script, e.g.
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>cat script.bat</b>
@echo off
ffmpeg -hide_banner -loglevel panic -i %BS1770GAIN_SOURCE% -filter:a "volume=%BS1770GAIN_INTEGRATED_RELATIVE%dB" -y %BS1770GAIN_TARGET%

root@root-pc MINGW32 ~/bs1770gain
# <b>cat script.sh</b>
ffmpeg -hide_banner -loglevel panic -i ${BS1770GAIN_SOURCE} -filter:a "volume=${BS1770GAIN_INTEGRATED_RELATIVE}dB" -y ${BS1770GAIN_TARGET}

root@root-pc MINGW32 ~/bs1770gain
</pre></blockquote>
   Please note that using "ffmpeg" is not mandatory. Here it serves as a mere example.
  <li>On Windows it is assumed that there is a command interpreter at <tt>"C:\Windows\system32\cmd.exe"</tt> otherwise a shell
   interpreter at <tt>"/bin/sh"</tt>.
  <li>The following environment variables are provided (as long as their calculation is required due to parameterization):<blockquote><ul><tt>
     <li>BS1770GAIN_SOURCE,
     <li>BS1770GAIN_TARGET,
     <li>BS1770GAIN_LU,
     <li>BS1770GAIN_LRA,
     <li>BS1770GAIN_OVERWRITE,
     <li>BS1770GAIN_NORM,
     <li>BS1770GAIN_TRACK_INTEGRATED
       aka BS1770GAIN_INTEGRATED,
     <li>BS1770GAIN_TRACK_INTEGRATED_RELATIVE
       aka BS1770GAIN_INTEGRATED_RELATIVE,
     <li>BS1770GAIN_TRACK_MOMENTARY_MEAN
       aka BS1770GAIN_MOMENTARY_MEAN,
     <li>BS1770GAIN_TRACK_MOMENTARY_MEAN_RELATIVE
       aka BS1770GAIN_MOMENTARY_MEAN_RELATIVE,
     <li>BS1770GAIN_TRACK_MOMENTARY_MAXIMUM
        aka BS1770GAIN_MOMENTARY_MAXIMUM,
     <li>BS1770GAIN_TRACK_MOMENTARY_MAXIMUM_RELATIVE
       aka BS1770GAIN_MOMENTARY_MAXIMUM_RELATIVE,
     <li>BS1770GAIN_TRACK_MOMENTARY_RANGE
      aka BS1770GAIN_MOMENTARY_RANGE,
     <li>BS1770GAIN_TRACK_SHORTTERM
       aka BS1770GAIN_SHORTTERM,
     <li>BS1770GAIN_TRACK_SHORTTERM_RELATIVE
       aka BS1770GAIN_SHORTTERM_RELATIVE,
     <li>BS1770GAIN_TRACK_SHORTTERM_MEAN
       aka BS1770GAIN_SHORTTERM_MEAN,
     <li>BS1770GAIN_TRACK_SHORTTERM_MEAN_RELATIVE
       aka BS1770GAIN_SHORTTERM_MEAN_RELATIVE,
     <li>BS1770GAIN_TRACK_SHORTTERM_MAXIMUM
       aka BS1770GAIN_SHORTTERM_MAXIMUM,
     <li>BS1770GAIN_TRACK_SHORTTERM_MAXIMUM_RELATIVE
       aka BS1770GAIN_SHORTTERM_MAXIMUM_RELATIVE,
     <li>BS1770GAIN_TRACK_SHORTTERM_RANGE
       aka BS1770GAIN_SHORTTERM_RANGE,
     <li>BS1770GAIN_TRACK_SAMPLEPEAK_ABSOLUTE
       aka BS1770GAIN_SAMPLEPEAK_ABSOLUTE,
     <li>BS1770GAIN_TRACK_SAMPLEPEAK_RELATIVE
       aka BS1770GAIN_SAMPLEPEAK_RELATIVE,
     <li>BS1770GAIN_TRACK_TRUEPEAK_ABSOLUTE
       aka BS1770GAIN_TRUEPEAK_ABSOLUTE,
     <li>BS1770GAIN_TRACK_TRUEPEAK_RELATIVE
       aka BS1770GAIN_TRUEPEAK_RELATIVE,
     <li>BS1770GAIN_ALBUM_INTEGRATED,
     <li>BS1770GAIN_ALBUM_INTEGRATED_RELATIVE,
     <li>BS1770GAIN_ALBUM_MOMENTARY_MEAN,
     <li>BS1770GAIN_ALBUM_MOMENTARY_MEAN_RELATIVE,
     <li>BS1770GAIN_ALBUM_MOMENTARY_MAXIMUM,
     <li>BS1770GAIN_ALBUM_MOMENTARY_MAXIMUM_RELATIVE,
     <li>BS1770GAIN_ALBUM_MOMENTARY_RANGE,
     <li>BS1770GAIN_ALBUM_SHORTTERM,
     <li>BS1770GAIN_ALBUM_SHORTTERM_RELATIVE,
     <li>BS1770GAIN_ALBUM_SHORTTERM_MEAN,
     <li>BS1770GAIN_ALBUM_SHORTTERM_MEAN_RELATIVE,
     <li>BS1770GAIN_ALBUM_SHORTTERM_MAXIMUM,
     <li>BS1770GAIN_ALBUM_SHORTTERM_MAXIMUM_RELATIVE,
     <li>BS1770GAIN_ALBUM_SHORTTERM_RANGE,
     <li>BS1770GAIN_ALBUM_SAMPLEPEAK_ABSOLUTE,
     <li>BS1770GAIN_ALBUM_SAMPLEPEAK_RELATIVE,
     <li>BS1770GAIN_ALBUM_TRUEPEAK_ABSOLUTE, and
     <li>BS1770GAIN_ALBUM_TRUEPEAK_RELATIVE.
    </tt></ul></blockquote>
  <li>Option <i>--script</i> might be combined with option <i>--threads</i>, i.e. executing the script in parallel should be possible.
  <li>Introduces option <i>--shell=&lt;path to interpreter&gt;</i>. The interpreter is assumed to provide an option <tt>"-c"</tt> for
   executing scripts and to require POSIX path conventions.
  <li>Option <i>--shell</i> might come in handy especially when you&rsquo;re on Windows, using "msys2" and not very comfortable with
   the capabilties of "bat"-files and their syntax. Then you might prefer e.g.
<blockquote class="vim"><pre>bs1770gain &lt;path to input&gt; -o &lt;path to output directory&gt; --script=./script.sh --shell=/bin/sh.exe</pre></blockquote>
   or respectively from the Windows "cmd"-box
<blockquote class="vim"><pre>bs1770gain &lt;path to input&gt; -o &lt;path to output directory&gt; --script=%cd%\script.sh --shell=&lt;path to msys2 installation&gt;\usr\bin\sh.exe<blockquote class="vim"></pre></blockquote>
   Please note that a full path to the script as well as to the shell is required.
   <li>Fixes an issue with remuxing Alexis pointed us to and which might have been occurred under certain circumstances.
     Thanks a lot Alexis!
   </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-07-26">2020-07-26</a></td>
  <td valign="top" nowrap><a name="0.8.2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.2/">0.8.2</a>
  </td>
  <td valign="top">
   This is a maintenence release affecting mostly the <i>Windows</i> builds:<ul>
   <li>Introduces the (not very useful) option <i>--skip-scan</i>.
   <li>Fixes a long standing bug on <i>Windows</i> regarding options
     <i>--file=&lt;file name&gt;</i>/<i>--utf-8=&lt;file name&gt;</i>/<i>--utf-16=&lt;file name&gt;</i>.
   <li>With the <i>Windows</i>-console, we had best experiences when setting it up to
     display narrow (8 bit) characters while just writing wide (16 bit) characters to it.
     In order to achieve this the whole program had to be transformed (re-factured.)
     Anyway, with German <i>OEM</i> installed we still don&rsquo;t know wether it is
     even possible to write say <i>kyrillic</i> letters to the <i>Windows</i>-console.
   <li>Fixes an issue on <i>Windows</i> which had already been slipped through some time ago,
     i.e. under certain circumstances option <i>-a</i>/<i>--apply</i> was not working any longer.
   <li>Fixes some minor glitches we came across.
  <li><b>2020-07-28:</b> The
    <a target="_blank" href="https://sourceforge.net/projects/bs1770gainmacos/files/bs1770gain-0.8.2_MacOS.tar.gz/download">MacOS binary release</a>
    is available from <i>AdRY&apos;s</i>
    <a target="_blank" href="https://sourceforge.net/projects/bs1770gainmacos/">Sourceforge project</a>.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-07-10">2020-07-10</a></td>
  <td valign="top" nowrap><a name="0.8.1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.1/">0.8.1</a>
  </td>
  <td valign="top">
  Jointly with <i>AdRY</i> the following was achieved:<ul>
  <li>Re-structuring the build process in order to allow for bundeling
    third party shared objects with the application (as it was already
    usual with the <i>Windows</i> releases.)
  <li>Allow for dynamically loading shared objects on <i>MacOS</i>.
  <li><i>AdRY</i> has created a project on <i>Sourceforge</i> for providing
    <a target="_blank" href="https://sourceforge.net/projects/bs1770gainmacos/">MacOS binary releases</a>.
    The <i>MacOS</i> binary release will appear a few days deferred.
  <li><b>2020-07-14:</b> The
    <a target="_blank" href="https://sourceforge.net/projects/bs1770gainmacos/files/bs1770gain-0.8.1_MacOS.tar.gz/download">MacOS binary release</a>
    is available from <i>AdRY&apos;s</i>
    <a target="_blank" href="https://sourceforge.net/projects/bs1770gainmacos/">Sourceforge project</a>.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-06-24">2020-06-24</a></td>
  <td valign="top" nowrap><a name="0.8.0">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.8.0/">0.8.0</a>
  </td>
  <td valign="top"><ul>
    <li>This is a special <i>pbelkner.de</i> welcome edition (not to say: bye,
      bye <i>Sourceforge</i>.) Hence a minor version bump!
    <li><i>Alexis</i> reported the issue that on his <i>Mac</i>
      with <i>libpthread</i> not being installed the <i>configure</i> script was
      broken. Such a set-up was resulting in a corrupt build. Thanks a lot
      <i>Alexis</i> for letting us know!
    <li>The options regarding parallel processing have been changed slightly.
      Now by default from time to time there&rsquo;s some sparse printing indicating
      that the program is still working.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-05-11">2020-05-29</a></td>
  <td valign="top" nowrap><a name="0.7.0">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.7.0/">0.7.0</a>
  </td>
  <td valign="top">Essentially the same as <a href="#0.7.0-beta-4">0.7.0-&beta;<sub>4</sub></a>.</td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-05-11">2020-05-11</a></td>
  <td valign="top" nowrap><a name="0.7.0-beta-4">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.7.0-beta-4/">0.7.0-&beta;<sub>4</sub></a>
  </td>
  <td valign="top"><ul>
  <li>Improved configuration w.r.t. <i>pthreads</i>.
  <li>Adapted source code respectively.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-05-06.02">2020-05-06</a></td>
  <td valign="top" nowrap><a name="0.7.0-beta-3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.7.0-beta-3/">0.7.0-&beta;<sub>3</sub></a>
  </td>
  <td valign="top">Fixed some synchronization issues.</td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-05-06.01">2020-05-06</a></td>
  <td valign="top" nowrap><a name="0.7.0-beta-2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.7.0-beta-2/">0.7.0-&beta;<sub>2</sub></a>
  </td>
  <td valign="top"><ul>
  <li><i>Hadrien</i> was letting us know that he wants <i>bs1770gain</i>
    to have an option like <i>--quiet</i> supressing any output except error messages
    because he runs <i>bs1770gain</i> in conjunction with option <i>--overwrite</i>
    from a multithreaded environment.
  <li>This brought us to the idea to support multiple threads from within <i>bs1770gain</i>
    itself: option <i>--threads=&lt;number of threads&gt;</i> was born.
  <li>Currently option <i>--threads=&lt;number of threads&gt;</i> just makes sense when used
    in conjunction with options <i>-o</i>/<i>--output</i> or <i>--overwrite</i> and may
    result in a significant performance gain (it&apos;s meant for mass replay-gain tagging):
    <blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>rm -rf ./zz &amp;&amp; bs1770gain /e/MEDIA/audio/classic/heart/1978_magazine/ --time --quiet -o ./zz</b>
Duration: 39.477 sec.

root@root-pc MINGW32 ~/bs1770gain
# <b>rm -rf ./zz &amp;&amp; bs1770gain /e/MEDIA/audio/classic/heart/1978_magazine/ --time --threads=8 -o ./zz</b>
Duration: 8.911 sec.

root@root-pc MINGW32 ~/bs1770gain
# _</pre></blockquote>
  <li>Fixed a flaw with option <i>-x rename</i>.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-04-29">2020-04-29</a></td>
  <td valign="top" nowrap><a name="0.6.9">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.9/">0.6.9</a>
  </td>
  <td valign="top"><i>Hadrien</i> proposed that <i>bs1770gain</i> should offer
    an option like <i>--quiet</i> supressing any output except error messages.
    Here we go!
  </td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-04-29">2020-04-29</a></td>
  <td valign="top" nowrap><a name="0.6.8">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.8/">0.6.8</a>
  </td>
  <td valign="top"><i>Hadrien</i> pointed us to the issue that under certain
    conditions option <i>--overwrite</i> was broken and was sending in a
    respective patch. Thanks a lot <i>Hadrien</i>!
  </td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2020-03-10">2020-03-10</a></td>
  <td valign="top" nowrap><a name="0.6.7">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.7/">0.6.7</a>
  </td>
  <td valign="top"><ul>
  <li><i>AdRY</i> pointed us to an issue with <i>5.0/5.1</i>
    this release should fix. Thanks a lot <i>AdRY</i>!
  <li>Option <tt>--lfe</tt> was dropped because it was nothing
    other than a placebo.
  <li>Determinig  the
    <a target="_blank" href="https://en.wikipedia.org/wiki/Low-frequency_effects">LFE</a>
    channel is hard-wired following the description given at
    <a target="_blank" href="http://lists.xiph.org/pipermail//flac-dev/2013-January/003569.html">http://lists.xiph.org/pipermail//flac-dev/2013-January/003569.html</a>, i.e. there&apos;s no <i>LFE</i> channel if there are less than six channels,
    otherwise the <i>LFE</i> channel is the fourth one (preceeded by <i>FL</i>, <i>FR</i>,
    and <i>FC</i>.)
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-12-13">2019-12-13</a></td>
  <td valign="top" nowrap><a name="0.6.6">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.6/">0.6.6</a>
  </td>
  <td valign="top">
    <i>Austin</i> pointed us to the issue that <i>aggregation</i>
    was broken. Thanks a lot <i>Austin</i>!
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-12-21</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top">
  <b>9/11</b> and
    "<a target="_blank" href="https://en.wikipedia.org/wiki/War_on_terror">War on Terror</a>":<ul>
  <li>Consider the following sub-page of
    <a target="_blank" href="https://www.nist.gov">NIST.gov</a>, i.e. a page published by the
      U.S. agency being in charge for investigating the collapse of <i>WTC 7</i> on <i>9/11</i>:
      <a target="_blank" href="https://www.nist.gov/pao/questions-and-answers-about-nist-wtc-7-investigation">Questions and Answers about the NIST WTC 7 Investigation</a>
      for years stating w.r.t. <i>WTC 7</i>&apos;s roof:
      <blockquote><ul>
        <li>Stage 2 (1.75 to 4.0 seconds): gravitational acceleration (free fall)
    </ul></blockquote>
    <li>This particular statement is thanks to
      <a target="_blank" href="https://www.youtube.com/watch?v=KYjXBJGtr0U">David Chandler forces NIST to Finally Admit Freefall</a>.
  <li>What does it mean? It means that for about two seconds there was literally nothing
    below <i>WTC 7</i>&apos;s roof, i.e. there must have been some process other then
    office fires (as claimed by <i>NIST</i>) beeing responsible for completely removing
    the building below the roof (so that the building&apos;s remains couldn&apos;t slow
    down the roof.)
  <li>As long as this contradiction isn&apos;t resolved we have no reason to trust the <i>Trump</i>
    administration in any way (apart from the extremely strange appearing narrative that
    the whole attack should have been overseen from a cave located deep within <i>Afghanistan</i>.)
  <li>Anyway, we&apos;re attempted to interpret
    "<a target="_blank" href="https://www.youtube.com/watch?v=ZmlzGbuLPno">What It&apos;s Like In The White House Situation Room During A Major Military Operation</a>"
    as an ironic reference to
    "<a target="_blank" href="https://www.youtube.com/watch?v=ZNYmK19-d0U">President Obama on Death of Osama bin Laden</a>"
    (you might remember the
    <a target="_blank" href="https://upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Obama_and_Biden_await_updates_on_bin_Laden_annotated.svg/1024px-Obama_and_Biden_await_updates_on_bin_Laden_annotated.svg.png">iconic photography</a>
    related to the latter.)
  <li><a name="soleimani"><b>2020-01-06</b></a> (published already on 2020-10-03), Philip Giraldi:
      <a target="_blank" href="https://ahtribune.com/world/north-africa-south-west-asia/iran/3782-end-of-america-imperial-ambitions.html">The Soleimani Assassination &hyphen; The Long-Awaited Beginning of The End of America&apos;s Imperial Ambitions</a>
      <blockquote>
        Donald Trump rode to victory in 2016 on a promise to end the useless wars in
        the Middle East, but he has now demonstrated very clearly that he is a liar.
      </blockquote>  <li><b>2020-01-06</b> Isn&apos;t it an irony?
    <a target="_blank" href="https://www.breitbart.com/national-security/2020/01/06/nancy-pelosi-surrender-resolution-in-house/">Nancy Pelosi to Introduce Resolution Implying Pre-emptive Surrender to Iran</a>:
    <blockquote>
      Pelosi&apos;s letter begins with the declaration that President Donald Trump&apos;s
      airstrike last week targeting Iranian General Qasem Suleimani [&hellip;]
      was "provocative and disproportionate," terms suggesting the attack was illegal under
      international law and could constitute a war crime.
    </blockquote>
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-12-10</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><!-- [ -->
  <b><a target="_blank" href="https://en.wikipedia.org/wiki/United_States_Department_of_Justice">DOJ</a>/<a target="_blank" href="https://en.wikipedia.org/wiki/Attorney_general">AG</a>
  <a target="_blank" href="https://en.wikipedia.org/wiki/William_Barr">William Barr</a></b>
  (track two of two concurrent):</a><ul>
  <li>Apparently in the U.S. currently there&apos;s a race between two
    concurrent tracks:
    <a target="_blank" href="https://en.wikipedia.org/wiki/Attorney_general">AG</a>
    <a target="_blank" href="https://en.wikipedia.org/wiki/William_Barr">William Barr</a>/<a target="_blank" href="https://en.wikipedia.org/wiki/John_Durham_(lawyer)">John Durham</a>
    vs.
    <a href="#impeachment">impeachment circus</a>
    &hyphen;
    <a target="_blank" href="https://en.wikipedia.org/wiki/John_Ratcliffe_(American_politician)">Rep. John Ratcliffe</a>
    <a target="_blank" href="https://www.youtube.com/watch?v=ASamdBAE1EE">sheds some light on it</a>
    (cf. also the already quoted <a href="#barr-speech">speech</a> recently given by AG <i>William Barr</i>.)
  <li><a target="_blank" href="https://www.justice.gov/opa/pr/statement-attorney-general-william-p-barr-inspector-generals-report-review-four-fisa">Statement by Attorney General William P. Barr on the Inspector General&apos;s Report</a>.
  <li><a target="_blank" href="https://www.foxnews.com/politics/bill-barr-michael-horowitz-russia-investigation-watchdog-probe">Barr disagrees with Horowitz report on Russia probe launch</a>.
  <li><a target="_blank" href="https://www.foxnews.com/politics/barr-blasts-fbi-over-intrusive-probe-of-trump-campaign-in-wake-of-fisa-report">US Attorney Durham objects to IG findings on Russia probe origins in stunning statement</a>.
  <li><a target="_blank" href="https://www.youtube.com/watch?v=l-aUws90xyo">Graham reacts to IG&apos;s report on FBI bias: This is a sad day</a>.
  <li><a target="_blank" href="https://www.youtube.com/watch?v=lhz7Rkwm6H4">ATTEMPTED COUP: <b>President Trump</b> BLASTS Findings in IG FISA FBI Report</a>.
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=LRKFo0JmuBc">Full Interview: Barr Criticizes Inspector General Report On The Russia Investigation | NBC News</a>.
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=6yaPqs1u9nE">FBI EXPOSED: Lindsey Graham DETAILS Massive FBI Bias Against President Trump</a>.
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=7B78KdrMQGo">IG report hearing part 4: Lindsey Graham questions Michael Horowitz</a>.
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=WU6rqQz4qbo">Graham sends warning to FBI officials responsible for FISA abuse</a>
    (pelase note that among others
    <a target="_blank" href="https://de.wikipedia.org/wiki/Lindsey_Graham">Sen. Lindsey Graham</a>
    is refering to
    <a target="_blank" href="https://en.wikipedia.org/wiki/Michael_Flynn">General Michael Flynn</a>.)
  <li><a name="flynn"><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=BcF1DlnceeM&feature=youtu.be&t=131">Michael Flynn&apos;s lawyer breaks down IG Horowitz&apos;s testimony on Capitol Hill</a> (please note that former
    <a target="_blank" href="https://en.wikipedia.org/wiki/National_Security_Advisor_(United_States)">United States National Security Advisor</a>
    <a target="_blank" href="https://en.wikipedia.org/wiki/Michael_Flynn">General Michael Flynn</a>
    has his own
    <a target="_blank" href="https://en.wikipedia.org/wiki/Michael_Flynn#Dismissal_and_investigation">experiences with the "resistence"</a>.)</a>
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=0u7ileeQW7U">Lindsey Graham sounds off on &apos;crock&apos; impeachment proceedings</a>.
  <li><b>2019-12-13</b>: <a target="_blank" href="https://www.youtube.com/watch?v=LJ-qnp9QLV8">McConnell: &apos;No chance&apos; Trump will be removed from office</a>
    (do you here a subtile difference in
    <a target="_blank" href="https://en.wikipedia.org/wiki/Mitch_McConnell">Sen. Mitch McConnell</a>&apos;s
    and
    <a target="_blank" href="https://en.wikipedia.org/wiki/Lindsey_Graham">Sen. Lindsey Graham</a>&apos;s
    views? &hyphen; cf. also
    <a target="_blank" href="https://townhall.com/tipsheet/bronsonstocking/2019/12/12/mcconnell-no-chance-the-president-is-going-to-be-removed-from-office-n2557944">McConnell:
    &apos;No Chance the President Is Going To Be Removed From Office&apos;</a>: "The majority leader told
    Sean Hannity that everything he will do during the president&apos;s Senate trial will be coordinated with
    the White House Counsel&apos;s Office".)
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=Jt2LMYIzN1M">Attorney General Bill Barr goes one-on-one with Martha MacCallum</a>
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=cv5vhF77f_I">Sen. Mitch McConnell slams Dem impeachment on Senate floor</a>
  <li><b>2019-12-20 <a target="_blank" href="https://twitter.com/realDonaldTrump/status/1207817078725578755">Donald J. Trump</a></b>:
    So after the Democrats gave me no Due Process in the House, no lawyers, no witnesses,
    no nothing, they now want to tell the Senate how to run their trial. Actually, they
    have zero proof of anything, they will never even show up. They want out. I want an
    immediate trial!
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=xVo9OgTa0Gg">Graham on Senate impeachment trial: Trump &apos;demands&apos; his day in court</a>
    (to us it appears as if he might have changed mind after having talked to <b>President Trump</b>)
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=5cE_29BZ-eg">Michael Flynn&apos;s attorney slams FBI, FISA judges for abuse of power</a>
  </ul>
  Discontinued because we&apos;re <a href="#soleimani">fed up</a> with U.S. politics.
  </td><!-- ] -->
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-11-22</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><!-- [ -->
  <a name="impeachment"><b>Impeachment circus</b> (track one of two concurrent &hyphen; <i>viva la "resistence"!</i>):</a><ul>
  <li>To us it appears as if these days most people in the "western
    world" not any longer can distinguish <i>facts</i> from <i>opinion</i>.
    During the last few days there was one guy who made the difference crystal
    clear: watch
    <a target="_blank" href="https://en.wikipedia.org/wiki/Jim_Jordan_(American_politician)">Rep. Jim Jordan</a><ul>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=BmjVYIIlTRI">here</a>,
    <li><a target="_blank" href="https://www.youtube.com/watch?v=f_iHscbGQjI">here</a>,
    <li><a target="_blank" href="https://www.youtube.com/watch?v=fhBAQZvyCXQ">here</a>,
    <li><a target="_blank" href="https://youtu.be/dAsIebi-3gQ?t=43">here</a>,
    <li><a target="_blank" href="https://www.youtube.com/watch?v=sZYCiXshjxk">here</a>,
    <li><a target="_blank" href="https://www.youtube.com/watch?v=XZq3S9sX4oU">here</a>,
    <li><a target="_blank" href="https://video.foxnews.com/v/6107288845001/#sp=show-clips">here</a>,
    <li><b>2019-12-05</b>: <a target="_blank" href="https://www.youtube.com/watch?v=bA5ZoK1d29g">here</a>,
    <li><b>2019-12-05</b>: <a target="_blank" href="https://www.youtube.com/watch?v=87arEmHckP4">here</a>,
    <li><b>2019-12-07</b>: <a target="_blank" href="https://www.youtube.com/watch?v=VOKSgWWN4c4">here</a>, and
    <li><b>2019-12-10</b>: <a target="_blank" href="https://www.youtube.com/watch?v=O40quspfnUc">here</a>.
    </ul>
  <li><b>Donald J. Trump:</b>
    <a target="_blank" href="https://www.facebook.com/DonaldTrump/videos/schiffs-fact-witnesses/1353242934850587/">SCHIFF&apos;S "FACT" WITNESSES!</a>
    (featuring minority counsel <a target="_blank" href="https://en.wikipedia.org/wiki/Steve_Castor">Steve Castor</a> who btw
    <a target="_blank" href="https://www.youtube.com/watch?v=xreYfZEq8c8">did</a>
    a
    <a target="_blank" href="https://www.youtube.com/watch?v=R4ZGReYPL_0">great</a>
    <a target="_blank" href="https://www.youtube.com/watch?v=JrHfGRXXeKw">job</a>
    <a target="_blank" href="https://www.youtube.com/watch?v=aX2y5BnhSfA">exposing</a>
    the "fact witnesses")
  <li><a target="_blank" href="https://shop.donaldjtrump.com/products/bull-schiff-tee">Bull-Schiff Tee</a>
    (<b>2019-11-24</b>: please note that according to
    <a target="_blank" href="https://conservative-headlines.org/89-of-our-senators-and-congress-hold-dual-citizenship-with-israel/">this report</a>
    Adam Schiff has dual citizenship, i.e. shared loyality to say the least)
  <li><b>2019-12-06</b>: 100% the thinking of an (((exceptionalist))) 100% the thinking of a (((communist))):
    <a target="_blank" href="https://www.youtube.com/watch?v=Y7f9WhuKYLU&feature=youtu.be&t=462">We&apos;re better than that!</a>
  <li><b>2019-12-05</b>: According to the
    <a target="_blank" href="https://conservative-headlines.org/89-of-our-senators-and-congress-hold-dual-citizenship-with-israel/">report</a>
    already quoted above
    Jerrold "Jerry" Lewis Nadler has dual citizenship too, i.e. shared loyality to say the least.
  <li><b>2019-12-08</b>: Chairman Jerrold "Jerry" Lewis Nadler
    <a target="_blank" href="https://www.youtube.com/watch?v=3bHJgctepm8">falls asleep</a>
    in front of his committee.
  <li><b>2019-12-05:</b><ul>
    <li><a target="_blank" href="https://100percentfedup.com/watch-sick-2006-video-reveals-why-snarky-jewish-bisexual-pamela-karlan-attacked-13-yr-old-barron-trump/">Watch: Sick 2006 Video Reveals Why "Snarky, Jewish, Bisexual" Pamela Karlan Attacked 13-Yr-Old Barron Trump</a>
    <li><a target="_blank" href="https://youtu.be/1jGd0MCOCnY?t=207">Tucker Carlson</a> on Pamela Karlan
    <li><a target="_blank" href="https://www.youtube.com/watch?v=4DFMdAalGis&feature=youtu.be&t=178">Sean Hannity</a> on Pamela Karlan
    <li><a target="_blank" href="https://twitter.com/realDonaldTrump/status/1202631185052164096"><b>Donald J. Trump</b></a>:
      Nancy Pelosi just had a nervous fit. She hates that we will soon have 182 great new judges and sooo much more.
      Stock Market and employment records. She says she "prays for the President." I don&apos;t believe her, not even close.
      Help the homeless in your district Nancy. USMCA?
    <li><a target="_blank" href="https://www.youtube.com/watch?v=JkwDoWJrVfU">LOSING IT: Nancy Pelosi BERATES Journalist Over DEEP HATRED For President Trump</a>
    </ul>
  <li><b>2019-12-12</b> Articles of impeachment:<ul>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=sScLlLgYoF8&feature=youtu.be&t=53">House Dems announce two articles of impeachment against Trump</a>
      (watch
      <a target="_blank" href="https://en.wikipedia.org/wiki/Nancy_Pelosi">Nancy Peosi</a>&apos;s
      face &hyphen; outer left &hyphen; while Jerrold "Jerry" Lewis Nadler is
      <a target="_blank" href="https://www.youtube.com/watch?v=sScLlLgYoF8&feature=youtu.be&t=154">speeking</a>.)
    <li><a target="_blank" href="https://www.youtube.com/watch?v=1c3Lyq2bwQ8">"3 YEAR VENDETTA" Collins says upcoming election prompted articles of impeachment</a>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=svAg6T1-pWM">JORDAN: "They don't like us" regarding 63M people and "guy in the White House"</a>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=0tjCJ6vYBZk">Rep. Louie Gohmert (R-TX) "HE HAS HUNG IN THERE" regarding Trump during impeachment hearing</a>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=04MEccYOVVk">McCarthy: Democrats would rather impeach than investigate</a>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=i2rcNQqzDF0">NOT THE END: Jim Jordan WARNS That Democrats Are Not Done With President Trump</a>
  </ul>
  <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=KgKGjoIkaXU&feature=youtu.be">OAN EXCLUSIVE: Yuriy Lutsenko says Yovanovitch perjured herself before Congress</a>.
  <li><b>2019-12-13</b>: <a target="_blank" href="https://www.youtube.com/watch?v=yVuvbTXR_0E">Democrats Are Rushing Impeachment</a>.
  <li><b>2019-12-13</b>: <a target="_blank" href="https://www.youtube.com/watch?v=Ndy1q3FHltg&feature=youtu.be&t=325"><b>House Panel Passes Both Articles of Impeachment</b></a>.
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=VGtwYZcAtCs">Jim Jordan on Impeachment: "When You Drain the Swamp, the Swamp Fights Back"</a>.
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=I4VNBD-YHM8"><b>Trump impeached</b></a>.
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=5S6rOxlFrbY"><b>President Trump</b> speaks for the first time after being impeached</a>
    (including
    <a target="_blank" href="https://www.youtube.com/watch?v=v8Vfzi9hBew">SWAPPING PARTIES: <b>President Trump</b> meets with Rep. Jeff Van Drew who&apos;s becoming Republican</a>.)
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=3N-8rwkrMZE">Pelosi threatening to delay impeachment trial</a>.
  <li><b>2019-12-20</b>: <a target="_blank" href="https://www.youtube.com/watch?v=xYNsN-q_Lnk">Jordan and Biggs on Nancy Pelosi&apos;s refusal to submit articles of impeachment to the Senate</a>.
  <li><a name="barr-speech">Put the
    <a target="_blank" href="https://youtu.be/MeMwdtbPR6g">speech</a> given by
    <a target="_blank" href="https://en.wikipedia.org/wiki/William_Barr">AG William Barr</a> just a week ago into context.</a>
    We&apos;d like to highlight the following:<ul>
    <li><a target="_blank" href="https://www.youtube.com/watch?v=MeMwdtbPR6g&feature=youtu.be&t=1093">watch</a>
      his remarks regarding
      <a target="_blank" href="https://en.wikipedia.org/wiki/Unitary_executive_theory">unitary executive theory</a>, and
    <li><a target="_blank" href="https://www.youtube.com/watch?v=MeMwdtbPR6g&feature=youtu.be&t=1792">watch</a>
      his remarks regarding the "resistence".
    </ul>
    <li><b>2019-11-25:</b><ul>
      <li><a target="_blank" href="https://southsouthreporters.com/?p=1252">"Enough is Enough" <b>President Trump</b> Declare &apos;War&apos; on Adam Schiff</a>
      <li><b><a target="_blank" href="https://twitter.com/realDonaldTrump/status/1198746377720909824">Donald J. Trump</a>:</b>
        Secretary of the Navy Richard Spencer&apos;s services have been terminated by Secretary of Defense Mark Esper.
        I thank Richard for his service &amp; commitment. [...]
        Admiral and now Ambassador to Norway
        <a target="_blank" href="https://en.wikipedia.org/wiki/Kenneth_Braithwaite">Ken Braithwaite</a>
        will be nominated by me to be the new Secretary of the Navy. A man of great
        achievement and success, I know Ken will do an outstanding job!
      <li><b>2019-12-12</b>: <a target="_blank" href="https://www.youtube.com/watch?v=e83yoobDREo&feature=youtu.be&t=656"><b>Trump</b> speaks at White House amid ongoing impeachment hearing</a>.
      </ul>
    </ul>
  Discontinued because we&apos;re <a href="#soleimani">fed up</a> with U.S. politics.
  </td><!-- ] -->
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-12-13</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><!-- [ -->
  <b>Brexit</b>:<ul>
  <li><a target="_blank" href="https://www.youtube.com/watch?v=nj-YK3JJCIU">Boris Johnson&apos;s funny Love Actually parody | Our final election broadcast</a>
    (WARNING: Subtile racist! Subtile white supremacist!)
  <li><a target="_blank" href="https://www.youtube.com/watch?v=ecbiTPyCcxg">UK election exit polls project victory for Boris Johnson&apos;s party</a>
    <li><b><a target="_blank" href="https://twitter.com/realDonaldTrump/status/1205368801438707713">Donald J. Trump</a></b>:
      Congratulations to Boris Johnson on his great WIN! Britain and the United States will now be free
      to strike a massive new Trade Deal after BREXIT. This deal has the potential to be far bigger and
      more lucrative than any deal that could be made with the E.U. Celebrate Boris!
  </ul>
  Discontinued because we&apos;re <a href="#soleimani">fed up</a> with U.S. politics.
  </td><!-- ] -->
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-10-03">2019-10-03</a></td>
  <td valign="top" nowrap><a name="0.6.5">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.5/">0.6.5</a>
  </td>
  <td valign="top">
    <i>Tobias</i> pointed us to the issue that <i>peak</i> calcualion had an
    upper bound at some odd <i>1.000031</i> and in a lot of cases
    <i>true peak</i> calculation doesn&apos;t reproduced the values known
    from pre-<i>0.6.0</i> even if lower then magic <i>1.000031</i>. Thanks
    a lot <i>Tobias</i>!
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-29">2019-09-29</a></td>
  <td valign="top" nowrap><a name="0.6.4">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.4/">0.6.4</a>
  </td>
  <td valign="top"><ul>
  <li>Removed some odd asymmetry from source code.
  <li>Should have no influence on user experience.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-20.2">2019-09-20</a></td>
  <td valign="top" nowrap><a name="0.6.3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.3/">0.6.3</a>
  </td>
  <td valign="top">
    For technical reasons the same as <a href="#0.6.2">v0.6.2</a>
    (except some more minor improvements.)
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-20.1">2019-09-20</a></td>
  <td valign="top" nowrap><a name="0.6.2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.2/">0.6.2</a>
  </td>
  <td valign="top">
    Essentially the same as <a href="#0.6.2-beta-4">v0.6.2-&beta;<sub>4</sub></a>
    (except some minor code clean-up.)
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-19">2019-09-19</a></td>
  <td valign="top" nowrap><a name="0.6.2-beta-4">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.2-beta-4/">0.6.2-&beta;<sub>4</sub></a>
  </td>
  <td valign="top">
    Unfortunately, the <i>Invalid write</i> bug was just fixed on the surface,
    i.e. it doesn&apos;t appear any longer just in the most simplest cases.
    Below the surface there was a deeper reason:<ul>
    <li><i>bs1770gain</i> attempts to lift the output tree in that it purges the
      tree starting from the root as long as it is degenerated to a list until
      for the first time a real branch or a leaf appears.
    <li>The root cause for the <i>Invalid write</i> bug was (hopefully) found in
      said lifting&apos;s implementation.
    </ul>
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-17.2">2019-09-17</a></td>
  <td valign="top" nowrap><a name="0.6.2-beta-3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.2-beta-3/">0.6.2-&beta;<sub>3</sub></a>
  </a></td>
  <td valign="top">
    Fixed two other instances of the <i>Invalid write</i> bug
    and a <i>Conditional jump or move depends on uninitialised value(s)</i>
    bug (thanks again <i>Debian</i>.)
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-17.1">2019-09-17</a></td>
  <td valign="top" nowrap><a name="0.6.2-beta-2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.2-beta-2/">0.6.2-&beta;<sub>2</sub></a>
  </td>
  <td valign="top"><ul>
  <li>Fixed an <i>Invalid write</i> bug (thanks <i>Debian</i>.)
  <li>For static builds, removed
    <a href="#0.6.0-beta-33">testing for sufficient <i>glib</i>&apos;s version</a>
    (in order to support building <i>@Debian</i>.)
  <li><b>Note:</b> Unfortunately currently our
    <a target="_blank" href="https://en.wikipedia.org/wiki/Virtual_machine">VM</a>
    for <i>Debian 10 i686</i> is broken. Might be an issue with
    <a target="_blank" href="https://en.wikipedia.org/wiki/QEMU">QEMU</a>
    or the current kernel of <i>Debian 10 i686</i>
    or the interplay of the two.
    Hence there&apos;s no binary for <i>Debian 10 i686</i>.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-15">2019-09-15</a></td>
  <td valign="top" nowrap><a name="0.6.2-beta-1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.2-beta-1/">0.6.2-&beta;<sub>1</sub></a>
  </td>
  <td valign="top">Restored option <i>--time</i>.</td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-09">2019-09-14</a></td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><ul>
  <li>Could someone, please, let us know why
    <i><a target="_blank" href="https://en.wikipedia.org/wiki/Standing_on_the_shoulders_of_giants">Nanos gigantum humeris insidentes</a> #TeamWhite</i>
    is considered <i>hate speech</i>? Whom it&apos;s telling us to hate???
    <li><i>Arch Linux</i> recently (2019-09-13) removed it from the copyright notice by a patch called <tt>"remove-hate.patch"</tt>:
    <blockquote class="vim"><pre>[peter@arch-linux-amd64 tmp]$ <b>asp checkout bs1770gain</b>
Cloning into &rsquo;bs1770gain&rsquo;
done.
[peter@arch-linux-amd64 tmp]$ <b>ls ./bs177gain/repos/community-x86_64/</b>
PKGBUILD remove-hate.patch
[peter@arch-linux-amd64 tmp]$ <b>cat ./bs177gain/repos/community-x86_64/remove-hate.patch</b>
<span class="Type">diff -aur bs1770gain-0.6.0/libbg/bgx.c bs1770gain-0.6.0.new/libbg/bgx.c</span>
<span class="Type">--- bs1770gain-0.6.0/libbg/bgx.c  2019-08-13 08:09:47.000000000 +0200</span>
<span class="Type">+++ bs1770gain-0.6.0.new/libbg/bgx.c  2019-09-13 20:13:48.828606603 +0200</span>
<span class="Statement">@@ -37,16 +37,12 @@</span>
  * turn with &quot;libff.a&quot;.) finally serving as bs1770gain&apos;s implementation.
  */
 #if 1 // [
<span class="Special">-#if 1 // [</span>
 #define BS1770GAIN_TEAM_WHITE \
     &quot; #TeamWhite&quot;
 #else // ] [
 #define BS1770GAIN_TEAM_WHITE \
     &quot;&quot;
 #endif // ]
<span class="Special">-#define BS1770GAIN_NANOS_GIGANTUM_HUMERIS_INSIDENTES \</span>
<span class="Special">-    &quot;Nanos gigantum humeris insidentes.&quot; BS1770GAIN_TEAM_WHITE &quot;\n&quot;</span>
<span class="Special">-#endif // ]</span>

 ///////////////////////////////////////////////////////////////////////////////
[peter@arch-linux-amd64 tmp]$ _</pre></blockquote>
  <li>Indeed it&apos;s telling us to (again) respect ourselfs!
  <li><a name="aliens"><b>update 2019-09-15:</b></a> Do we really have to consider <i>creatures</i>
    <a target="_blank" href="https://www.breitbart.com/europe/2019/07/29/murder-investigation-african-migrant-arrested-after-8-year-old-pushed-in-front-of-train/">pushing innocent children in front of a train</a> <i>human beings</i>?
    A great <i>German military theorist</i>,
    <a target="_blank" href="https://en.wikipedia.org/wiki/Carl_von_Clausewitz">Carl von Clausewitz</a>,
    once said:
    <a target="_blank" href="https://oll.libertyfund.org/pages/clausewitz-war-as-politics-by-other-means">War is Politics by other Means</a>.
    These days we&apos;re attemted to say: <i>Peace is War by other Means</i>,
    <b>update 2019-09-28:</b> cf. <a target="_blank" href="https://youtu.be/WOptKNyxqok?t=140">here</a>.
    (Please note that we don&apos;t consider the <i>alien creatures</i> responsible for the crimes at first hand the enemy.
    They&apos;re simply used by <a href="#those">those</a> as <i>human appearing</i> weapon. It&apos;s nothing other then the usual brain-fuck.)
    Everybody should seriously ask himself on which side of the (invisible) front
   he&apos;s on

    (also you guys over there <i>@Arch Linux</i>.)
  <li><b>update 2019-09-15:</b><ul>
    <li>At <i>Arch</i> they&apos;re going to hide traces.
      Obviously they&apos;re victims of their own technology :-))))))))))))))))))))))
      <blockquote><a href="javascript:pbelkner.image_toggle(&apos;images/arch-racial-bs.png&apos;,&apos;67&apos;)"><img id="images/arch-racial-bs.png" src="images/arch-racial-bs.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/arch-racial-bs.png&apos;,&apos;67&apos;)"></a></blockquote>
      The exact same patch has just been renamed from <tt>"remove-hate.patch"</tt> to
      <tt>"<a target="_blank" href="https://git.archlinux.org/svntogit/community.git/tree/trunk/remove-inappropriate-text.patch?h=packages/bs1770gain">remove-inappropriate-text.patch</a>"</tt> (please note that links to <i>Arch</i> seem to be volatile.)
    <li><i>Arch</i>, please be so nice and kick <i>bs1770gain</i> off of your repository!
      It&apos;s not meant for you <i>noble humanitarians</i>. It&apos;s just for <i>shitty racists</i>!
    <li><a name="jelle">As it seems making <i>bs1770gain</i>&apos;s <i>Arch</i> version <i>pc</i> is a brainchild
      of some <i>Jelle van der Waa</i> aka <i>jelle</i> &hyphen; possibly the one you find
      <a target="_blank" href="https://vdwaa.nl">here</a>,
      <a target="_blank" href="https://www.linkedin.com/in/jvanderwaa">here</a>
      and
      <a target="_blank" href="https://kopano.com/author/jellevanderwaa/">here</a>:
      <blockquote><a href="javascript:pbelkner.image_toggle(&apos;images/arch-jelle.png&apos;,&apos;67&apos;)"><img id="images/arch-jelle.png" src="images/arch-jelle.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/arch-jelle.png&apos;,&apos;67&apos;)"></a></blockquote></a>
    </ul>
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-09">2019-09-12</a></td>
  <td valign="top" nowrap><a name="0.6.1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.1/">0.6.1</a>
  </td>
  <td valign="top"><ul>
  <li>Some users pointed us to an issue with files where album art is embedded as <i>PNG</i>.
    Under certain circumstances (especially when using our binary builds) those files
    where not processed as expected.  Thanks a lot <i>A B</i> and <i>Eugene</i>!
  <li>As the cause for that un-expected behaviour we spotted
    <i>libavcodec</i> and
    <i>libavformat</i>
    re-distributed with the release. They where not build to properly support <i>PNG</i>.
    This is fixed by
    <i>libavcodec</i> and
    <i>libavformat</i>
    re-distributed with this release are now statically linked to a decent version
    of <i>libpng</i>.
  <li>On <i>Linux</i>, we tested the
    <a href="#0.6.0">prior release</a> with one of our
    <a target="_blank" href="https://en.wikipedia.org/wiki/Early_adopter">early adopters</a>,
    <i>Arch Linux</i>.
    As expected, there&apos;s no problem with <i>PNG</i>&apos;s because
    of the more complete <i>FFmpeg</i> coming with the system.
  <li>Please note that we provide binary <i>Linux</i>
    builds just for the <i>i686</i> and <i>x86_i64</i> architectures. The main obstacle
    for using our <i>Linux</i> binary builds is <i>libc</i>&apos;s version:<ul>
    <li>the <i>Debian 9</i> builds need <i>libc</i> at least <i>v2.24</i> installed,
    <li>the <i>Debian 10</i> builds need <i>libc</i> at least <i>v2.28</i>  installed.
    </ul>
    When in doubt choose the most conservative build, i.e. <i>Debian 9</i>
    (running also on <i>Debian 10</i> but not vice versa.)
  <li><i>Windows</i> users should regularly upgrade the <i>FFmpeg DLL</i>s from a
    <a target="_blank" href="https://ffmpeg.zeranoe.com/builds/">Zeranoe&apos;s shared build</a>
    corresponding to their architecture.
  <li>Some minor code clean-up has also been done.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-09-05">2019-09-05</a></td>
  <td valign="top" nowrap><a name="0.6.0">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0/">0.6.0</a>
  </td>
  <td valign="top"><ul>
  <li>Essentialy the same as
    <a href="#0.6.0-beta-34">v0.6.0-&beta;<sub>34</sub></a>.
  <li>This major update became necessary because of the following reasons:<ul>
    <li>We wanted to get rid of all the <i>FFmpeg</i> functions having become
      <i>deprecated</i> througout the years. We wanted to avoid that some fine
      day they&apos;re all purged off of <i>FFmpeg</i> and there we are with
      empty hands having slept all the time. (The most prominent example is the
      <a target="_blank" href="https://ffmpeg.org/doxygen/trunk/group__lavc__encdec.html">decoding/encoding API</a>
      having undegone a major change.)
    <li>We wanted to get rid of
      <a target="_blank" href="http://sox.sourceforge.net">SoX</a>
      because as it seems its not maintained any longer (last updated
      in <i>February 2015</i>) and all we needed from <i>SoX</i>
      (re-sampling) is available more prominently from <i>FFmpeg</i>
      itself.
    </ul>
  <li>We ended up with developing large parts (most) of <i>bs1770gain</i> from scratch.
    For what have been done in particular cf. the notes to<ul>
    <li><a href="#0.6.0-beta-1">v0.6.0-&beta;<sub>1</sub></a>,
    <li><a href="#0.6.0-beta-8">v0.6.0-&beta;<sub>8</sub></a>,
    <li><a href="#0.6.0-beta-13">v0.6.0-&beta;<sub>13</sub></a>,
    <li><a href="#0.6.0-beta-16">v0.6.0-&beta;<sub>16</sub></a>,
    <li><a href="#0.6.0-beta-19">v0.6.0-&beta;<sub>19</sub></a>,
    <li><a href="#0.6.0-beta-20">v0.6.0-&beta;<sub>20</sub></a>,
    <li><a href="#0.6.0-beta-21">v0.6.0-&beta;<sub>21</sub></a>,
    <li><a href="#0.6.0-beta-25">v0.6.0-&beta;<sub>25</sub></a>,
    <li><a href="#0.6.0-beta-30">v0.6.0-&beta;<sub>30</sub></a>, and
    <li><a href="#0.6.0-beta-33">v0.6.0-&beta;<sub>33</sub></a>.
    </ul>
  <li>Many thanks to everyone having contributed to this <i>&beta;</i>-phase!
    (Cf. below notes.)
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-08-13">2019-08-13</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-34">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-34/">0.6.0-&beta;<sub>34</sub></a>
  </td>
  <td valign="top"><ul>
  <li>Copying embedded album art as requested by <i>Damiano</i> has finally
    been solved.
  <li>It was just one line of code missing (cf.
    <a target="_blank" href="https://stackoverflow.com/questions/13592709/retrieve-album-art-using-ffmpeg">here</a>.)
  <li>This little episode demonstrates what a great framework <i>FFmpeg</i> really is.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-08-13">2019-08-13</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-33">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-33/">0.6.0-&beta;<sub>33</sub></a>
  </td>
  <td valign="top">
    Just out of curiosity this morning we again made the experiment described
    <a href="#0.6.0-beta-30">below</a> and found it crashing with <tt>"Segmentation
    fault"</tt> when attempting to dynamically load the <i>FFmpeg</i> shared
    objects by means of a <i>libc</i> with a version lower than the one on the
    system <i>bs1770gain</i> was compiled on. Hence in such a situation
    <i>bs1770gain</i> now aborts immediatly:
    <blockquote class="vim"><tt>peter@debian-9:~/msys2/bs1770gain$ <b>./linux/debian-10-i686/bs1770gain --version --help=codec</b>
<br>bs1770gain 0.6.0-beta-33, Copyright (C) Peter Belkner 2014-2019.
<br>Nanos gigantum humeris insidentes. #TeamWhite
<br>http://bs1770gain.sourceforge.net/
<br>Compiled for Linux by means of gcc 8.3.0 on
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;nodename:&nbsp; debian-10,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;release:&nbsp; 4.19.0-5-686-pae,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;version:&nbsp; #1 SMP Debian 4.19.37-5+deb10u1 (2019-07-19),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;machine:&nbsp; i686,
<br>expecting
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b style="color:red">libc:&nbsp; 2.28</b> (stable),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavutil:&nbsp; 56.33.100,
<br>&nbsp;&nbsp;libswresample:&nbsp; 3.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavcodec:&nbsp; 58.55.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavformat:&nbsp; 58.30.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libswscale:&nbsp; 5.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libpostproc:&nbsp; 55.6.100, and
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavfilter:&nbsp; 7.58.100.
<br>This is free software; see the source for copying conditions.&nbsp; There is NO
<br>warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
<br>Error: Attmpting to dynamically load FFmpeg shared objects by means of an out-dated libc: expecting <b style="color:red">2.28</b>, found <b style="color:green">2.24</b>. (bgx.c:1193:main)
<br>peter@debian-9:~/msys2/bs1770gain$</tt></blockquote>
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-08-11">2019-08-12</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-32">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-32/">0.6.0-&beta;<sub>32</sub></a>
  </td>
  <td valign="top"><ul>
  <li>There still was a glitch with <a href="#0.6.0-beta-30">v0.6.0-&beta;<sub>30</sub></a>
    (w.r.t. the <i>-o/--output</i> option.)
  <li>Undocumented <i>v0.6.0-&beta;<sub>31</sub></i> served private communications.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-08-11">2019-08-11</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-30">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-30/">0.6.0-&beta;<sub>30</sub</a>
  </td>
  <td valign="top"><ul>
  <li><i>Damiano</i> pointed us to the issue that it not any longer was possible
    to mass-process files (i.e. literally thousands.)
    Thanks a lot <i>Damiano</i>!
  <li>In order to make it possible with the new architecture we&apos;d to introduce
    a data structure encapsulating branching in the directory structure of the
    underlying file system to some extend reminding us on
    <a target="_blank" href="https://en.wikipedia.org/wiki/De_Broglie–Bohm_theory">de Broglie–Bohm theory</a>&apos;s
    pilot wave. Hence it&apos;s called the <i>pilot</i>.
  <li>With <i>Damiano</i> we made the experience that it&apos;s not possible to
    just download one out auf the <i>Linux</i> binary builds fitting to ones
    architecture and expecting it to run. Indeed it might not work!
    As a cause for preventing loading the <i>FFmpeg</i> shared objects we spotted
    <i>libc</i>. Because of that <i>bs1770gain</i> now is equipped with some
    information from compile time.
    <ul>
    <li>This information is provided by means of option <i>--version</i>. This
      option is processed before attempting to load the <i>FFmpeg</i> shared
      objects.  In the following example please note <i>libc</i>&apos;s version 2.24:
      <blockquote class="vim"><tt>peter@debian-9:~/msys2/bs1770gain$ <b>./linux/debian-9-i686/bs1770gain --version</b>
<br>bs1770gain 0.6.0-beta-30, Copyright (C) Peter Belkner 2014-2019.
<br>Nanos gigantum humeris insidentes. #TeamWhite
<br>http://bs1770gain.sourceforge.net/
<br>Compiled for Linux by means of gcc 6.3.0 on
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;nodename:&nbsp; debian-9,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;release:&nbsp; 4.9.0-9-686-pae,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;version:&nbsp; #1 SMP Debian 4.9.168-1+deb9u4 (2019-07-19),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;machine:&nbsp; i686,
<br>expecting
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b style="color:green">libc:&nbsp; 2.24</b> (stable),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavutil:&nbsp; 56.33.100,
<br>&nbsp;&nbsp;libswresample:&nbsp; 3.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavcodec:&nbsp; 58.55.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavformat:&nbsp; 58.30.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libswscale:&nbsp; 5.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libpostproc:&nbsp; 55.6.100, and
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavfilter:&nbsp; 7.58.100.
<br>This is free software; see the source for copying conditions.&nbsp; There is NO
<br>warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
<br>peter@debian-9:~/msys2/bs1770gain$</tt></blockquote>
    <li>You might double check whether <i>libc</i> installed on your system is
      sufficient:
      <blockquote class="vim"><tt>peter@debian-9:~/msys2/bs1770gain$ <b>ldd --version</b>
<br>ldd (Debian GLIBC 2.24-11+deb9u4) <b style="color:green">2.24</b>
<br>Copyright (C) 2016 Free Software Foundation, Inc.
<br>This is free software; see the source for copying conditions.&nbsp; There is NO
<br>warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
<br>Written by Roland McGrath and Ulrich Drepper.
<br>peter@debian-9:~/msys2/bs1770gain$</tt></blockquote>
    </ul>
    <li>In case you&apos;re attempting to run <i>bs1770gain</i> build on a system
      with a higher <i>libc</i> version as installed on your system you may experience
      an error like the following:
      <blockquote class="vim"><tt>peter@debian-9:~/msys2/bs1770gain$ <b>./linux/debian-10-i686/bs1770gain --version --help=codec</b>
<br>bs1770gain 0.6.0-beta-30, Copyright (C) Peter Belkner 2014-2019.
<br>Nanos gigantum humeris insidentes. #TeamWhite
<br>http://bs1770gain.sourceforge.net/
<br>Compiled for Linux by means of gcc 8.3.0 on
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;nodename:&nbsp; debian-10,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;release:&nbsp; 4.19.0-5-686-pae,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;version:&nbsp; #1 SMP Debian 4.19.37-5+deb10u1 (2019-07-19),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;machine:&nbsp; i686,
<br>expecting
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b style="color:red">libc:&nbsp; 2.28</b> (stable),
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavutil:&nbsp; 56.33.100,
<br>&nbsp;&nbsp;libswresample:&nbsp; 3.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libavcodec:&nbsp; 58.55.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavformat:&nbsp; 58.30.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;libswscale:&nbsp; 5.6.100,
<br>&nbsp;&nbsp;&nbsp;&nbsp;libpostproc:&nbsp; 55.6.100, and
<br>&nbsp;&nbsp;&nbsp;&nbsp;libavfilter:&nbsp; 7.58.100.
<br>This is free software; see the source for copying conditions.&nbsp; There is NO
<br>warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
<br>Warning: libc might be out-dated: expecting <b style="color:red">2.28</b>, found <b style="color:green">2.24</b>. (bgx.c:1242:main)
<br>&nbsp;&nbsp;Might prevent loading FFmpeg shared objects. Good luck!
<br>Error: loading /mnt/hgfs/d/msys64/home/root/bs1770gain/linux/debian-10-i686/bs1770gain-tools/libavutil.so.56. (ff_dynload.c:1407:avutil_load)
<br>Error: wrong version of avutil: expecting 56, found 0 at "/mnt/hgfs/d/msys64/home/root/bs1770gain/linux/debian-10-i686/bs1770gain-tools/". (bgx.c:1262:main)
<br>peter@debian-9:~/msys2/bs1770gain$</tt></blockquote>
  <li>Undocumented versions
    <i>0.6.0-&beta;<sub>26</sub></i>
    through
    <i>0.6.0-&beta;<sub>29</sub></i>
    served private communications.
  <li><i>Damiano</i> further pointed out that embedded album art is not processed as expected.
    Because as far as we can see this is not a new issue it&apos;s left for a future release.
    It&apos;s the same as with the request by <i>Hadrien</i> who proposed parallelization.
    This release should just focus on reproducing (and improving) functionality based on a
    changed architecture.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-07-13">2019-07-13</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-25">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-25/">0.6.0-&beta;<sub>25</sub></a>
  </td>
  <td valign="top"><ul>
  <li><i>Ross</i> pointed us to an issue regarding option <i>--stereo</i>.
    This particular option might be usful in a command like
    <blockquote class="vim"><pre>bs1770gain <i>&lt;path to input file&gt;</i> --stereo <i>[</i>-ao <i>&lt;path to output directory&gt;]?</i></pre></blockquote>
    Thanks a lot <i>Ross</i>!
  <li>While at it introduced a generalization to option <i>--stereo</i>:
    option <i>--matrix=&lt;matrix&gt;</i> supporting re-matrixing to
    a channel format <i>&lt;matrix&gt;</i> out of the ones supported
    by <i>FFmpeg</i> (cf. <i>bs1770gain</i>&apos;s help message.)
    This way option <i>--stereo</i> is just shorthand for option
    <i>--matrix=layout_stereo</i>
    (<b>update 2019-08-11:</b> with <a href="#0.6.0-beta-30">v0.6.0<sub>30</sub></a>
    underscores where replaced by minus signs, i.e. since that release
    it should read <i>--matrix=layout-stereo</i>.)
  <li>Improved dealing with some error messages and warnings.
  <li>Improved dealing with option <i>--extension=csv</i>. Please note
      that with this particular option a per-folder
      <a target="_blank" href="https://en.wikipedia.org/wiki/Comma-separated_values">CSV file</a>
      (with
      <a target="_blank" href="https://en.wikipedia.org/wiki/Tab_key">tabulator</a>
      as separator) named <tt>"folder.csv"</tt> is supported
      for importing tag values. The <i>CSV file</i>&apos;s first
      line (the header line) has to list the names of the tags
      to be imported starting with a column labelled <i>file</i>.
      All subsequent rows have to first list the basename of
      a file from that particular folder and than the values
      corresponding to the respective tag listed in the header line.
  <li>Might be considered a second release candidate.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-07-07">2019-07-07</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-24">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-24/">0.6.0-&beta;<sub>24</sub></a>
  </td>
  <td valign="top">
    Purged off several (meanwhile) inactive code branches. Might be considered
    a release candidate.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-07-04">2019-07-04</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-23">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-23/">0.6.0-&beta;<sub>23</sub></a>
  </td>
  <td valign="top">
    Seeking (needed for implementing option <i>-b</i>/<i>--begin</i>)
    still wasn&apos;t in the shape it should be. We now follow the
    advice given
    <a target="_blank" href="https://0xdeafc0de.wordpress.com/2014/07/21/seeking-with-ffmpeg/">here</a>.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-29">2019-06-29</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-22">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-22/">0.6.0-&beta;<sub>22</sub></a>
  </td>
  <td valign="top">Improved seeking (<b>update 2019-06-30:</b> needed for implementing option <i>-b</i>/<i>--begin</i>.)</td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-28">2019-06-28</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-21">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-21/">0.6.0-&beta;<sub>21</sub></a>
  </td>
  <td valign="top"><ul>
  <li>This <i>&beta;</i>-release implements option <i>--unit</i>.
  <li>Without option <i>--unit</i>:
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/aerosmith/1973_make_it/01_make_it.flac -t</b>
analyzing ...
[1/1] 01_make_it.flac
   integrated (momentary mean): -12.68 LUFS / -10.32 LU
  truepeak (relative/absolute): -0.39 TPFS / 0.956359
[COLLECTION]
   integrated (momentary mean): -12.68 LUFS / -10.32 LU
  truepeak (relative/absolute): -0.39 TPFS / 0.956359
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/aerosmith/1973_make_it/01_make_it.flac -t --atsc</b>
analyzing ...
[1/1] 01_make_it.flac
   integrated (momentary mean): -12.68 dBFS / -11.32 dB
  truepeak (relative/absolute): -0.39 dBFS / 0.956359
[COLLECTION]
   integrated (momentary mean): -12.68 dBFS / -11.32 dB
  truepeak (relative/absolute): -0.39 dBFS / 0.956359
done.

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
  <li>With option <i>--unit</i>:
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/aerosmith/1973_make_it/01_make_it.flac -t --unit=db</b>
analyzing ...
[1/1] 01_make_it.flac
   integrated (momentary mean): -12.68 dBFS / -10.32 dB
  truepeak (relative/absolute): -0.39 dBFS / 0.956359
[COLLECTION]
   integrated (momentary mean): -12.68 dBFS / -10.32 dB
  truepeak (relative/absolute): -0.39 dBFS / 0.956359
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/aerosmith/1973_make_it/01_make_it.flac -t --atsc --unit=ebu</b>
analyzing ...
[1/1] 01_make_it.flac
   integrated (momentary mean): -12.68 LUFS / -11.32 LU
  truepeak (relative/absolute): -0.39 TPFS / 0.956359
[COLLECTION]
   integrated (momentary mean): -12.68 LUFS / -11.32 LU
  truepeak (relative/absolute): -0.39 TPFS / 0.956359
done.

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-27.2">2019-06-27</a></td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top"><ul>
  <li><i>Merkel</i>, it&apos;s time to go:
    <a target="_blank" href="https://www.youtube.com/watch?v=44j-tpuEefs">Angela Merkel seen shaking uncontrollably for second time in nine days</a>.
  <li>There are rumors that for years(!) <i>Merkel</i> is plagued by
    <a target="_blank" href="https://en.wikipedia.org/wiki/Parkinson%27s_disease">Parkinson&apos;s disease</a>
    and at least <i>never</i> shoud have been candidate for 
    <a target="_blank" href="https://en.wikipedia.org/wiki/Chancellor_of_Germany">Chancellor</a>
    in the <i>2017</i> elections
    (<a target="_blank" href="https://www.youtube.com/watch?v=jdBpQfLNzq0">watch her 2017 in Mexico</a>.)
  <li><b>Update 2019-06-29:</b> Red Ice TV: <a target="_blank" href="https://www.youtube.com/watch?v=AM0f_Zb6sKQ">Merkel Really IS Sick, Shaking Uncontrollably AGAIN</a>.
  <li><b>Update 2019-07-10:</b> <a target="_blank" href="https://www.youtube.com/watch?v=ilEolWazM6o">Angela Merkel shaking for third time in as many weeks</a>.
  </ul></td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-27.1">2019-06-27</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-20">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-20/">0.6.0-&beta;<sub>20</sub></a>
  </td>
  <td valign="top"><ul>
  <li>This <i>&beta;</i>-release marks a major update in functionality by
    introducing options <i>--suffix=&lt;suffix&gt;</i> and <i>--codec=&lt;codec&gt;</i>.
    Both options are useful in conjunction with the <i>-a</i>/<i>--apply</i> option only,
    i.e. just with transcoding and applying the gain obtained from the analysis.
    This might be useful for people producing (<i>Youtube</i>) videos.as e.g. our
    "gatekeeper" to <i>Debian</i>, <i>Petter Reinholdtsen</i>:
    <a target="_blank" href="http://people.skolelinux.org/pere/blog/Measuring_and_adjusting_the_loudness_of_a_TV_channel_using_bs1770gain.html">Measuring and adjusting the loudness of a TV channel using bs1770gain</a>.
    <li>Without <b>option <i>--suffix=&lt;suffix&gt;</i></b> the input is transcoded to
      <i>FLAC</i> and possibly wrapped into <i>MKV</i> or <i>MKA</i>, respectively (as usual):
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/peter_frampton/2000_live_in_detroit_dvd/02_lying.mkv -ao xx</b>
analyzing ...
[1/1] 02_lying.mkv
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
[COLLECTION]
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
remuxing ...
[1/1] 02_lying.mkv
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>ffmpeg -i ./xx/02_lying.mkv</b>
ffmpeg version N-94125-gd33414d2ad Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 9.1.0 (Rev3, Built by MSYS2 project)
  configuration: --extra-ldflags='-static-libgcc -static-libstdc++ -static'
  libavutil      56. 29.100 / 56. 29.100
  libavcodec     58. 53.100 / 58. 53.100
  libavformat    58. 28.101 / 58. 28.101
  libavdevice    58.  7.100 / 58.  7.100
  libavfilter     7. 55.100 /  7. 55.100
  libswscale      5.  4.101 /  5.  4.101
  libswresample   3.  4.100 /  3.  4.100
  libpostproc    55.  4.100 / 55.  4.100
[mpeg2video @ 01f49dc0] ignoring pic cod ext after 0
Input #0, matroska,webm, from './xx/02_lying.mkv':
  Metadata:
    title           : Lying
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.0 LUFS
    ARTIST          : Peter Frampton
    ALBUM           : Live In Detroit (DVD)
    YEAR            : 2000
    DISC            : 1/1
    track           : 2
    GENRE           : Rock
    VIDEO_CROP      : 698:572:8:2
    REPLAYGAIN_ALGORITHM: BS.1770
    ENCODER         : Lavf58.28.101
  Duration: 00:06:27.72, start: 0.000000, bitrate: 8100 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, top first)
    Metadata:
      DURATION        : 00:06:27.720000000
    Stream #0:1: Audio: <b style="color:red">flac</b>, 48000 Hz, stereo, s32 (24 bit) (default)
    Metadata:
      DURATION        : 00:06:27.552000000
At least one output file must be specified

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
    <li>By means of <b>option <i>--suffix=&lt;suffix&gt;</i></b> the input is remuxed
      accordingly and the audio transcoded to a default codec obtained from <i>libavformat</i>.
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/peter_frampton/2000_live_in_detroit_dvd/02_lying.mkv -ao xx --suffix=mp4</b>
analyzing ...
[1/1] 02_lying.mkv
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
[COLLECTION]
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
remuxing ...
[1/1] 02_lying.mp4
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>ffmpeg -i ./xx/02_lying.mp4</b>
ffmpeg version N-94125-gd33414d2ad Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 9.1.0 (Rev3, Built by MSYS2 project)
  configuration: --extra-ldflags='-static-libgcc -static-libstdc++ -static'
  libavutil      56. 29.100 / 56. 29.100
  libavcodec     58. 53.100 / 58. 53.100
  libavformat    58. 28.101 / 58. 28.101
  libavdevice    58.  7.100 / 58.  7.100
  libavfilter     7. 55.100 /  7. 55.100
  libswscale      5.  4.101 /  5.  4.101
  libswresample   3.  4.100 /  3.  4.100
  libpostproc    55.  4.100 / 55.  4.100
[mpeg2video @ 0065a0c0] ignoring pic cod ext after 0
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from './xx/02_lying.mp4':
  Metadata:
    major_brand     : isom
    minor_version   : 512
    compatible_brands: isomiso2mp41
    title           : Lying
    artist          : Peter Frampton
    album           : Live In Detroit (DVD)
    encoder         : Lavf58.28.101
    genre           : Rock
    track           : 2
    disc            : 1/1
  Duration: 00:06:27.60, start: 0.000000, bitrate: 6648 kb/s
    Stream #0:0(und): Video: mpeg2video (Main) (mp4v / 0x7634706D), yuv420p(tv, top first)
    Metadata:
      handler_name    : VideoHandler
    Stream #0:1(und): Audio: <b style="color:red">aac</b> (LC) (mp4a / 0x6134706D), 48000 Hz, stereo, fltp, 128 kb/s (default)
    Metadata:
      handler_name    : SoundHandler
At least one output file must be specified

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
<blockquote class="vim"><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ~/peter_frampton/2000_live_in_detroit_dvd/02_lying.mkv -ao xx --suffix=mkv</b>
analyzing ...
[1/1] 02_lying.mkv
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
[COLLECTION]
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
remuxing ...
[1/1] 02_lying.mkv
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>ffmpeg -i ./xx/02_lying.mkv</b>
ffmpeg version N-94125-gd33414d2ad Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 9.1.0 (Rev3, Built by MSYS2 project)
  configuration: --extra-ldflags='-static-libgcc -static-libstdc++ -static'
  libavutil      56. 29.100 / 56. 29.100
  libavcodec     58. 53.100 / 58. 53.100
  libavformat    58. 28.101 / 58. 28.101
  libavdevice    58.  7.100 / 58.  7.100
  libavfilter     7. 55.100 /  7. 55.100
  libswscale      5.  4.101 /  5.  4.101
  libswresample   3.  4.100 /  3.  4.100
  libpostproc    55.  4.100 / 55.  4.100
[mpeg2video @ 01d99d40] ignoring pic cod ext after 0
Input #0, matroska,webm, from './xx/02_lying.mkv':
  Metadata:
    title           : Lying
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.0 LUFS
    ARTIST          : Peter Frampton
    ALBUM           : Live In Detroit (DVD)
    YEAR            : 2000
    DISC            : 1/1
    track           : 2
    GENRE           : Rock
    VIDEO_CROP      : 698:572:8:2
    REPLAYGAIN_ALGORITHM: BS.1770
    ENCODER         : Lavf58.28.101
  Duration: 00:06:27.72, start: 0.000000, bitrate: 6707 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, top first)
    Metadata:
      DURATION        : 00:06:27.720000000
    Stream #0:1: Audio: <b style="color:red">ac3</b>, 48000 Hz, stereo, fltp, 192 kb/s (default)
    Metadata:
      DURATION        : 00:06:27.552000000
At least one output file must be specified

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
  <li>By means of <b>option <i>--codec=&lt;codec&gt;</i></b> the audio codec
    to which to transcode may be chosen:
<blockquote class="vim"><pre>
# <b>bs1770gain ~/peter_frampton/2000_live_in_detroit_dvd/02_lying.mkv -ao xx --codec=wavpack</b>
analyzing ...
[1/1] 02_lying.mkv
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
[COLLECTION]
  integrated (momentary mean): -24.38 LUFS / 1.38 LU
remuxing ...
[1/1] 02_lying.mkv
done.

root@root-pc MINGW32 ~/bs1770gain
# <b>ffmpeg -i ./xx/02_lying.mkv</b>
ffmpeg version N-94125-gd33414d2ad Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 9.1.0 (Rev3, Built by MSYS2 project)
  configuration: --extra-ldflags='-static-libgcc -static-libstdc++ -static'
  libavutil      56. 29.100 / 56. 29.100
  libavcodec     58. 53.100 / 58. 53.100
  libavformat    58. 28.101 / 58. 28.101
  libavdevice    58.  7.100 / 58.  7.100
  libavfilter     7. 55.100 /  7. 55.100
  libswscale      5.  4.101 /  5.  4.101
  libswresample   3.  4.100 /  3.  4.100
  libpostproc    55.  4.100 / 55.  4.100
[mpeg2video @ 02019dc0] ignoring pic cod ext after 0
Input #0, matroska,webm, from './xx/02_lying.mkv':
  Metadata:
    title           : Lying
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.0 LUFS
    ARTIST          : Peter Frampton
    ALBUM           : Live In Detroit (DVD)
    YEAR            : 2000
    DISC            : 1/1
    track           : 2
    GENRE           : Rock
    VIDEO_CROP      : 698:572:8:2
    REPLAYGAIN_ALGORITHM: BS.1770
    ENCODER         : Lavf58.28.101
  Duration: 00:06:27.72, start: 0.000000, bitrate: 8143 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, top first)
    Metadata:
      DURATION        : 00:06:27.720000000
    Stream #0:1: Audio: <b style="color:red">wavpack</b>, 48000 Hz, stereo, s32p (24 bit) (default)
    Metadata:
      DURATION        : 00:06:27.552000000
At least one output file must be specified

root@root-pc MINGW32 ~/bs1770gain
#</pre></blockquote>
  <li>It&apos;s up to the user supplying useful combinations of
    options <i>--suffix=&lt;suffix&gt;</i> and <i>--codec=&lt;codec&gt;</i>.
    Valid values can be obtained by means of options <i>--help=suffix</i>
    and <i>--help=codec</i>, respectively.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-26">2019-06-26</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-19">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-17/">0.6.0-&beta;<sub>17</sub></a>
    <br>through
    <br><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-19/">0.6.0-&beta;<sub>19</sub></a>
  </td>
  <td valign="top"><ul>
  <li><i>Kyle</i> pointed us to an issue with <i>8</i> channels.
    We&apos;ve to emphasize we&apos;re convinced that
    no prior version was able to process <i>8</i> channels.
    (Anyway, we&apos;re not going to re-test versions already history.)
  <li><i>Adriano</i> wants to use <i>bs170gain</i> in a
    <a target="_blank" href="https://de.wikipedia.org/wiki/Filter_(Software)">filter chain</a>.
    That&apos;s why there&apos;s a <i>--suppress-progress</i> option
    stripping any superflous information from the console output.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-24">2019-06-24</a></td>
  <td valign="top" nowrap><a name="0.6.0-beta-16">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-14/">0.6.0-&beta;<sub>14</sub></a>
    <br>through
    <br><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-16/">0.6.0-&beta;<sub>16</sub></a>
  </td>
  <td valign="top"><ul>
  <li><i>Adriano</i> pointed us to a sever bug when processing <i>WAV</i> files (cf.
    <a target="_blank" href="https://stackoverflow.com/questions/20001363/avcodeccontextchannel-layout-0-for-wav-files">AVCodecContext::channel_layout 0 for WAV files</a>.)
  <li><i>Adriano</i> proposed that there shoud be a means for suppressing
    results up the hierarchy. That&apos;s why there&apos;s a <i>--suppress-hierarchy</i>
    option.
  <li><i>Kyle</i> (from <i>South Korea</i>) pointed us to an issue with files
    where <i>FFmpeg</i> is unable to extract a <i>duration</i>.
    <br><b>Note:</b> In case of missing <i>duration</i> it is impossible to
    display the processing progress in <i>percent</i>. Instead it is given
    in (absolute) <i>seconds</i>.
  <li>Thanks a lot <i>Adriano</i> and <i>Kyle</i>!
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap><a name="2019-06-1">2019-06-19<a></td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top">
    Hopefully the days of <i>Merkel</i>&apos;s tyranny are counted:
    <a target="_blank" href="https://www.youtube.com/watch?v=AO0cbTRYZK8">Merkel shakes uncontrollably during military parade</a>.
  </td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-14</td>
  <td valign="top" nowrap><a name="0.6.0-beta-13">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-13/">0.6.0-&beta;<sub>13</sub></a>
  </td>
  <td valign="top">
    When transcoding/remuxing <i>bs1770gain v0.6.0-&beta;<sub>13</sub></i> first
    creates a temporary file before finally moving it to its destination.
    By default, the temporary file&apos;s name is the target file&apos;s name prefixed
    with a dot <tt>&lsquo;.&rsquo;</tt>. When it happens that
    there is a file in the way with that particular name <i>bs1770gain</i> aborts.
    In order to make it possible to resolve this (we assume very rare) situation <i>bs1770gain</i>
    offers an option <i>--temp-prefix=&lt;prefix&gt;</i> making it possible
    to define a prefix different from the default.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-12</td>
  <td valign="top" nowrap><a name="0.6.0-beta-12">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-11/">0.6.0-&beta;<sub>11</sub></a>
    <br>through
    <br><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-12/">0.6.0-&beta;<sub>12</sub></a>
  </td>
  <td valign="top">Dealing with option <i>--overwrite</i> still wasn&apos;t in the shape it should be.</td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-11</td>
  <td valign="top" nowrap><a name="0.6.0-beta-10">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-10/">0.6.0-&beta;<sub>10</sub></a>
  </td>
  <td valign="top">Fixed crashing with option <i>--overwrite</i>.</td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-11</td>
  <td valign="top" nowrap><a name="0.6.0-beta-9">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-9/">0.6.0-&beta;<sub>9</sub></a>
  </td>
  <td valign="top">
    <i>Diimaan</i> pointed us to a severe bug when re-muxing without transcoding, i.e. using option <i>-o</i> without option <i>-a</i>.
    Thanks a lot <i>Diimaan</i>!
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-10</td>
  <td valign="top" nowrap><a name="0.6.0-beta-8">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-4/">0.6.0-&beta;<sub>4</sub></a>
    <br>through
    <br><a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-8/">0.6.0-&beta;<sub>8</sub></a>
  </td>
  <td valign="top">
    Jointly with <i>Alexis</i> made <i>bs1770gain</i> compilable on <i>macOS</i> (i.e. with <i>gcc 10.0.1</i>
    whereas on our site just <i>gcc 6.3.0</i> or <i>gcc 9.1.0</i> is available.)
    Thanks a lot <i>Alexis</i>!
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-10</td>
  <td valign="top" nowrap><a name="0.6.0-beta-3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-3/">0.6.0-&beta;<sub>3</sub></a>
  </td>
  <td valign="top">
  This <i>&beta;</i>-release should fix the following:<ul>
  <li><i>Alexis</i> reported that attempting to build on <i>macOS</i> aborts with a compilation error. Thanks a lot <i>Alexis</i>!
  <li><i>Diimaan</i> reported an issue with loading the shared <i>FFmpeg</i> objects. Thanks a lot <i>Diimaan</i>!
  </ul>
  <ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-06</td>
  <td valign="top" nowrap><a name="0.6.0-beta-2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-2/">0.6.0-&beta;<sub>2</sub></a>
  </td>
  <td valign="top">
    Fixes a bug with re-muxing to an unexpected target path when the source path contains
    one ore more additional dots <tt>&lsquo;.&rsquo;</tt> except the separator for the
    file extension. Thanks a lot <i>Hadrien</i> for testing!
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-06</td>
  <td valign="top" nowrap><a name="0.6.0-beta-1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.6.0-beta-1/">0.6.0-&beta;<sub>1</sub></a>
  </td>
  <td valign="top">
    This &beta;-version is the first attempt letting see a renovated <i>bs1770gain</i> the light of the world:<ul>
    <li><a target="_blank" href="http://sox.sourceforge.net">SoX</a> is history.
      Prior versions of <i>bs1770gain</i> relied on <i>libsox</i> for re-sampling.
      This version does re-sampling by means of <i>ffmpeg</i>&apos;s
      <i>libswresample</i>.
    <li>The renovation&apos;s major goal was getting rid of <i>libsox</i>.
      While at it we invented new data structures better fitting the
      problem domain. Finally we ended up replacing the <i>libffsox</i> and
      the <i>bs1770gain</i> layers by respective <i>libff</i> and <i>libbg</i>
      layers.
    <li>The responsibility of the <i>libff</i> layer is providing building
      blocks for accessing the <i>ffmpeg</i> libraries, i.e.<ul>
      <li><i>libavfilter</i> (not needed by prior versions),
      <li><i>libpostproc</i> (not needed by prior versions),
      <li><b>update 2019-06-11:</b> <i>libswscale</i> (not needed by prior versions),
      <li><i>libavformat</i>,
      <li><i>libavcodec</i>,
      <li><i>libswresample</i> (not needed by prior versions), and
      <li><i>libavutil</i>.
      </ul>
    <li>For re-muxing in conjunction with transcoding the audio stream
      (by means of the <i>-a</i>/<i>--apply</i> option) <i>bs1770gain</i>
      now relies on <i>libavfilter</i> which in turn needs <i>libpostproc</i>
      <b>update 2019-06-14:</b> and <i>libswscale</i>.
    <li>The responsibility of the <i>libbg</i> layer is on one hand accessing
      the <i>ffmpeg</i> libraries (via the <i>libff</i> layer) and on the other
      hand accessing the <i>lib1770</i> layer implementing the
      <a target="_blank" href="https://www.itu.int/dms_pubrec/itu-r/rec/bs/R-REC-BS.1770-4-201510-I!!PDF-E.pdf">BS.1770</a>
      algorithm (which mainly has been untouched except fixing a minor bug preventing aggregation up the hierarchie.)
    <li>A great deal of time was spend improving <!--the
      <a target="_blank" href="https://en.wikipedia.org/wiki/UTF-8">UTF-8</a>
      capabilities-->
      <a target="_blank" href="https://en.wikipedia.org/wiki/Internationalization_and_localization">NLS</a>
      (especially for the <i>Windows</i> version. Please note that we've tried
      hard to find a solution for the <i>cmd</i>-box which is not <!--<i>UTF-8</i>-->
      <a target="_blank" href="https://en.wikipedia.org/wiki/UTF-8">UTF-8</a>
      aware <!--at all--> wheras the
      <a target="_blank" href="https://www.msys2.org/">MSYS2</a>
      shell indeed is &#45; <i>bs1770gain</i> decides whether run from
      <i>cmd</i>-box or <i>shell</i> by examining the <i>LANG</i>
      environment variable and respectively relies on a <i>8 bit</i>
      <a target="_blank" href="https://en.wikipedia.org/wiki/Windows_code_page#OEM_code_page">OEM</a>
      or <i>UTF-8</i>
      character representation when writing to <i>cmd</i>-box or <i>shell</i>.
      To make things worse a <i>16 bit wide character</i> representaion is needed
      when writing to a file ... <b>Note:</b> We&apos;ve tested with some
      <a target="_blank" href="https://en.wikipedia.org/wiki/Russian_alphabet">cyrillic alphabet</a>
      completely outside the lower half of the
      <a target="_blank" href="https://en.wikipedia.org/wiki/ASCII">ASCII table</a>
      &#45; The best we could achieve with the <i>cmd</i>-box on our system is producing
      question marks &#45; German <i>OEM</i> page is not able to display <i>cyrillic</i>
      letters &#45; for you guys over there in <i>Russia</i> hopefully everything
      is fine except you have
      <a target="_blank" href="https://www.thegermanz.com/a-o-u-german-umlauts-explained/">german umlauts</a>
      in your file names ...)
    <li>The <i>-b</i>/<i>--begin</i> and <i>-d</i>/<i>--duration</i>
      options should work now as expected.
      (<b>update 2019-06-16:</b> In order to make this working we needed to implement
      a workaroud for dealing with
      <a target="_blank" href="https://trac.ffmpeg.org/ticket/7864">issue 7864</a> or
      <a target="_blank" href="https://trac.ffmpeg.org/ticket/4905">issue 4905</a>, respectively.)
    </ul>
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-06-06</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top">
  <script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Dr. Ludwig","https://www.youtube.com/channel/UCSCTl_YRo_oHFI27qwV0y0w/videos"],
      "ZbTn9G4bhOQ");
    </script>
  <p><script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Dr. Ludwig","https://www.youtube.com/channel/UComvOGv0mGYO2tM37t6vlEg/videos"],
      "Gz15VVdhjMM");
    </script>
  <p><!--<b>2019-06-15:</b><br>--><script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Ratatoskr","https://www.youtube.com/channel/UCjdrweN-dw1LXD8BFXNkBSQ/videos"],
      "D5sRSUNnVi0");
    </script>
Please note that this is a re-upload. The original video was deleted by <i>Youtube</i><!-- just on 2019-06-06-->.
The re-upload featured the following comment by <i>Black Forest</i> (meanwhile completely overwritten): "This video is like a short movie. The pictures and the music tell us a story. My interpretation: There is a lonely man in a cold city. The city is cold to this man because there are mainly foreign shops and foreign fast food restaurants. And the gigantic supermarket is a symbol of capitalism. The shop center, too. The culture of the man was stolen from him. We see the stolen culture of this man in the last - dreamlike episode - of the video. The beautiful pictures of a lost country. Pictures of a blond beautiful culture that is lost. Hmmm. I really hope that you are OK, Mister Ratatoskr? 
Anyway: The Dessau event drags me down. But it makes no sense to discuss this here.
There Is a Light That Never Goes Out - The Smiths".
You might wonder what the flickering is when moving to the dreamlike episode and overshadowing most of it: it&apos;s the bombing of a German city viewed from the allied bombing fleet.
You find information about what most likely is meant by <i>Dessau event</i>
<a target="_blank" href="https://jungefreiheit.de/allgemein/2019/afrikaner-missbraucht-neunjaehriges-maedchen-in-rosslau/">here</a> (in German.)
  <p><script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Dr. Ludwig","https://www.youtube.com/channel/UCSCTl_YRo_oHFI27qwV0y0w/videos"],
      "UY4JsqnUsnA");
    </script>
  <p><script type="text/javascript">
    pbelkner.youtube(
      1,
      ["Dr. Ludwig","https://www.youtube.com/channel/UCSCTl_YRo_oHFI27qwV0y0w/videos","(the"
        +" Pal&auml;stinalied is by <a target='_blank' href='"
        +"https://en.wikipedia.org/wiki/Walther_von_der_Vogelweide'>Walther von der Vogelweide"
        +"</a>, ca. 1170 – ca. 1230, cf. also <i>Wikipdia</i>&apos;s <a target='_blank' href='"
        +"https://en.wikipedia.org/wiki/Pal&auml;stinalied"
        +"'>entry</a> regarding the <i>Pal&auml;stinalied</i>)"],
      "L2UBQArOa5c");
    </script>
  </td>
</tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-04-04</td>
  <td valign="top" nowrap><a name="leaking"></a></td>
  <td valign="top"><ul>
  <li>Just recently we discovered that this program leaks some memory in <i>libavformat</i>
    when run in <i>apply</i> mode and muxing into a <i>matroska</i> container:<blockquote class="vim"><tt>
peter@debian-9:~/bs1770gain$ <b>valgrind --leak-check=yes bs1770gain little_feat/1977_rockpalast/04_day_at_the_dog_races.mkv -ao xx</b>
<br>==2322== Memcheck, a memory error detector
<br>==2322== Copyright (C) 2002-2015, and GNU GPL&amp;d, by Julian Seward et al.
<br>==2322== Using Valgrind-3.12.0.SVN and LibVEX; rerun with -h for copyright info
<br>==2322== Command: bs1770gain little_feat/1977_rockpalast/04_day_at_the_dog_races.mkv -ao xx
<br>==2322== 
<br>analyzing ...
<br> ;[1/1] "04_day_at_the_dog_races.mkv":         
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;integrated:&nbsp;&nbsp;-21.82 LUFS / -1.18 LU
<br>transcoding ...
<br>&nbsp;&nbsp;[1/1] "04_day_at_the_dog_races.mkv"     
<br>done.
<br>==2322== 
<br>==2322== HEAP SUMMARY:
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;in use at exit: 3,445 bytes in 20 blocks
<br>==2322==&nbsp;&nbsp;&nbsp;total heap usage: 1,874,633 allocs, 1,874,613 frees, 3,062,595,861 bytes allocated
<br>==2322== 
<br>==2322== 100 (12 direct, 88 indirect) bytes in 1 blocks are definitely lost in loss record 11 of 17
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;at 0x482F584: memalign (vg_replace_malloc.c:857)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x482F69B: posix_memalign (vg_replace_malloc.c:1020)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x4E91E67: av_malloc (in /home/peter/bs1770gain/autoconf/bin/bs1770gain-tools/libavutil.so.56)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x4E9214A: av_mallocz (in /home/peter/bs1770gain/autoconf/bin/bs1770gain-tools/libavutil.so.56)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x4E79BFA: av_buffer_ref (in /home/peter/bs1770gain/autoconf/bin/bs1770gain-tools/libavutil.so.56)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x5091F47: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x64CC712: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x6520DD5: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x110BA8: av_interleaved_write_frame (ffsox_dynload2.c:641)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x118015: ffsox_stream_interleaved_write (ffsox_stream.c:55)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x1173F4: frame_writer_encode (ffsox_frame_writer.c:163)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x1176F7: frame_writer_run (ffsox_frame_writer.c:242)
<br>==2322==&nbsp;
<br>==2322==&nbsp;110&nbsp;(12&nbsp;direct, 98 indirect) bytes in 1 blocks are definitely lost in loss record 12 of 17
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;at 0x482D1BC: malloc (vg_replace_malloc.c:298)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x482F4E0: realloc (vg_replace_malloc.c:785)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x4E91ECB: av_realloc (in /home/peter/bs1770gain/autoconf/bin/bs1770gain-tools/libavutil.so.56)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x5090FEA: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x50910A1: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x509184D: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x5091F30: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x64CC712: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x6520DD5: ???
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x110BA8: av_interleaved_write_frame&nbsp;(ffsox_dynload2.c:641)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x118015: ffsox_stream_interleaved_write&nbsp;(ffsox_stream.c:55)
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;by 0x1173F4: frame_writer_encode&nbsp;(ffsox_frame_writer.c:163)
<br>==2322==&nbsp;
<br>==2322==&nbsp;LEAK&nbsp;SUMMARY:
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;definitely lost: 24 bytes in 2 blocks
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;indirectly lost: 186 bytes in 3 blocks
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;possibly lost: 0 bytes in 0 blocks
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;still&nbsp;reachable: 3,235 bytes in 15 blocks
<br>==2322==&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;suppressed: 0 bytes in 0 blocks
<br>==2322== Reachable&nbsp;blocks&nbsp;(those&nbsp;to&nbsp;which&nbsp;a&nbsp;pointer&nbsp;was&nbsp;found)&nbsp;are&nbsp;not&nbsp;shown.
<br>==2322== To see them, rerun with: --leak-check=full --show-leak-kinds=all
<br>==2322== 
<br>==2322== For counts of detected and suppressed errors, rerun with: -v
<br>==2322== ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 0 from 0)
<br>peter@debian-9:~/bs1770gain$ </tt></blockquote>
  <li>The issue is already
  <a target="_blank" href="https://trac.ffmpeg.org/ticket/7827">reported</a>.
  <li><b>Update 2019-04-11:</b> The issue is fixed (cf.
    <a target="_blank" href="https://trac.ffmpeg.org/ticket/7827">ticket 7827</a>)
    and the fix is available with the
    <a target="blank" href="http://ffmpeg.org/download.html">daily snapshot</a>.
    (Cf. the following threads from <i>FFmpeg-devel</i>:<ul>
      <li><a target="_blank" href="http://ffmpeg.org/pipermail/ffmpeg-devel/2019-April/thread.html#242135">[FFmpeg-devel] Patch for Reproducing Issue 7827</a>,
      <li><a target="_blank" href="http://ffmpeg.org/pipermail/ffmpeg-devel/2019-April/thread.html#242142">[FFmpeg-devel] [PATCH V1] lavf/matroskaenc: Fix memory leak after write trailer</a>, and
      <li><a target="_blank" href="http://ffmpeg.org/pipermail/ffmpeg-devel/2019-April/thread.html#242155">[FFmpeg-devel] [PATCH V2] lavf/matroskaenc: Fix memory leak after write trailer</a>.)
    </ul>
  <ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-01-23</td>
  <td valign="top" nowrap><a name="0.5.2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.2/">0.5.2</a></td>
  <td valign="top">
    Released in order to make it into
    <a target="_blank" href="https://lists.debian.org/debian-devel-announce/2019/01/msg00008.html">Debian 10 &apos;buster&apos;</a>.
    Essentially the same as
    <a href="#0.5.2-beta-3">v0.5.2-&beta;<sub>3</sub></a>.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-01-23</td>
  <td valign="top" nowrap><a name="0.5.2-beta-3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.2-beta-3/">0.5.2-&beta;<sub>3</sub></a></td>
  <td valign="top">
    By the
    <a href="#0.5.2-beta-2">previous &beta;-release</a>
    we fixed a bug w.r.t. the MP3 codec we&apos;ve already fixed by
    <a href="#0.5.0-beta-2">v0.5.0-&beta;<sub>2</sub></a>
    w.r.t. the OPUS codec.
    This &beta;-release generalizes the approach.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2019-01-23</td>
  <td valign="top" nowrap><a name="0.5.2-beta-2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.2-beta-2/">0.5.2-&beta;<sub>2</sub></a></td>
  <td valign="top">
    Aimed to fix bug
    <a target="_blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=910451">#910451</a>.
  </td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2018-10-26</td>
  <td valign="top" nowrap><a name="0.5.2-beta-1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.2-beta-1/">0.5.2-&beta;<sub>1</sub></a></td>
  <td valign="top"><ul>
  <li>User <i>Hadrien</i> wrote "I&apos;ve found that bs1770gain wasn&apos;t liking &apos;\&apos;s in dirnames"
    and provided a patch this &beta;-release incorporates.
  <li>Again modified slightly the build process.
  </ul></td>
<tr><!-- ] -->
<tr><!-- [ -->
  <td valign="top" nowrap>2018-10-19</td>
  <td valign="top" nowrap><a name="0.5.1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.1/">0.5.1</a></td>
  <td valign="top">
    Brought back to life building the project with
    <a target=blank" href="https://en.wikipedia.org/wiki/GNU_Build_System">autotools</a>.
  </td>
<tr><!-- ] -->
<tr>
  <td valign="top" nowrap>2018-09-02</td>
  <td valign="top" nowrap><a name="0.5.0">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0/">0.5.0</a></td>
  <td valign="top"><ul>
  <li>Essentialy the same as <a href="#0.5.0-beta-5">v0.5.0-&beta;<sub>5</sub></a>.
  <li>BTW: We noticed that we&apos;ve forgotten to upload
    <a href="#0.5.0-beta-4">v0.5.0-&beta;<sub>4</sub></a>. Hence for completeness
    we uploaded it joint with <i>v0.5.0</i>.
  </ul></td>
<tr>
<tr>
  <td valign="top" nowrap>2018-09-01</td>
  <td valign="top" nowrap>&nbsp;</td>
  <td valign="top">
    We&apos;re aware that we&apos;re not the world&apos;s most gifted
    software developer. Anyway, we feel that we belong to
    <i>#TeamWhite</i>
    and hence added the respective hashtag to the above
    <a href="#political">note</a>.
  </td>
</tr>
<tr>
  <td valign="top" nowrap>2018-08-11</td>
  <td valign="top" nowrap><a name="0.5.0-beta-5">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0-beta-5/">0.5.0-&beta;<sub>5</sub></a></td>
  <td valign="top"><ul>
  <li>Remuxing files with more then one stream (i.e. video files) was broken. This &beta;-release fixes the issue.
  </ul></td>
<tr>
<tr>
  <td valign="top" nowrap>2018-08-09</td>
  <td valign="top" nowrap><a name="0.5.0-beta-4">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0-beta-4/">0.5.0-&beta;<sub>4</sub></a></td>
  <td valign="top"><ul>
  <li>
    With <a href="#0.5.0-beta-1">v0.5.0-&beta;<sub>1</sub></a> we introduced guarding
    <i>bs1770gain</i> against being run with incompatible <i>FFmpeg</i> and
    <i>SoX</i> libraries.  At least this was the goal. In case of the <i>FFmpeg</i>
    libraries the test was done against the full version consiting of <i>major</i>,
    <i>minor</i>, and <i>micro</i> version numbers. This was by far to much. As
    far as we know just a bump of the <i>major</i> version number indicates some
    change in binary compatibility.  This release relexas the test to <i>FFmpeg
    major</i> version number.
  <li><a name="feed-the-world">BTW:<ul>
    <li>Around the time
      <a href="#0.5.0-beta-1">v0.5.0-&beta;<sub>1</sub></a>
      was released we received the following mail from some <i>Debian</i> official:

    <p><a href="javascript:pbelkner.image_toggle(&apos;images/debian-daniel.png&apos;,&apos;67&apos;)"><img id="images/debian-daniel.png" src="images/debian-daniel.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/debian-daniel.png&apos;,&apos;67&apos;)"></a>
    <li>To be honest, dear <i>Daniel</i>:
      We&apos;re simply not interested in "how a Debian or
      Free Software user who isn&apos;t European is meant to react."
      We develop open source software and we&apos;re from Europe.
      We&apos;re interested in how <i>we</i> as native Europeans feel when
      overrun by the third world:
      To us the message of the above mail is nothing else then a typical
      instance of anti-white "racism" (by no means it is in accordance with the
      <a target="_blank" href="https://www.debian.org/code_of_conduct">saccharine "sweet" words</a>
      published by <i>Debian</i>.)
      To us the idea of developing open source software was
      always (and possibly will ever) be educational similar to academia
      and sience. Add the internet and you&apos;re in a position to bring it
      to the smallest
      village all over the world. In the ages of the internet there&apos;s
      really not the slidest reason for someone interested in open source
      software leaving his home somewhere in the world coming to Europe for
      some silly promise made by 
      <i><a href="http://www.pentagonstrike.co.uk/">those</a></i>
      (not by <i>us</i> of course, cf. <a href="#those">below</a>)
      obviously nobody ever can keep
      and that way destroying all the infrastucture <i>we&apos;ve</i> created
      here in Europe in the course of thousands of years (just for a free
      lunch nobody is able to deliver to the whole world anyway.) Contrary
      to <i>those</i> (who are no native inhabitants of Europe, or to
      express it by a contemporary <i>fake term</i> they&apos;ve invented for us
      <a target="_blank" href="https://en.wikipedia.org/wiki/Goy">goyim</a>:
      they&apos;re <i>refugees</i> themselfs) <i>we</i>, the native inhabitants of Europe,
      clearly state:
      <u>Make no mistake, stay at home and learn&#44; learn&#44; learn! Learn as much as you can!</u>
    <li><a name="those">We&#39;re convinced that the so called
      <a target="_blank" href="https://en.wikipedia.org/wiki/Refugee_crisis">refugee crisis</a>
      is an event staged by 
      <i><a href="http://www.pentagonstrike.co.uk/">those</a></i>
      (according to a well known politician <i>a small, rootless, international clique</i>)
      literally nobody is even allowed to call by their very name (at least here in Europe;
      cf. the fairytale
      <a target="_blank" href="https://en.wikipedia.org/wiki/Rumpelstiltskin">Rumpelstiltskin</a>:
      we have to break the spell and again have to learn to call the
      <i>chosen people</i>
      by their very name as it was usual
      for centuries and just nowadys is "prohibided" by some strange "laws" like
      <a target="_blank" href="https://en.wikipedia.org/wiki/Volksverhetzung">&sect;130 Volksverhetzung</a>
      dictated by themselfs) in order to make their wet dream of a
      <a target="_blank" href="https://en.wikipedia.org/wiki/New_world_order_(politics)">new world order</a>
      become true (either in the clothes of <i>nominal communism</i> or in the clothes of
      <i>crypto-communism</i> aka <i>liberalism</i> - two sides of the very same coin
      anyway) and finally make <i>those</i> the masters of the world:
      <a target="_blank" href="https://en.wikipedia.org/wiki/Libert%C3%A9&#44;_%C3%A9galit%C3%A9&#44;_fraternit%C3%A9">libert&eacute;&#44; &eacute;galit&eacute;&#44; fraternit&eacute;</a> for everyone 
      <a target="_blank" href="https://www.bitchute.com/video/Cl3X_yYnFcc/">except <i>those</i> who have <i>chosen</i> themselfs to be the masters</a>
      (<b>update 2019-01-11:</b> cf. also
      <a target="_blank" href="http://www.israelnationalnews.com/News/News.aspx/255749">here</a>
      and
      <a target="_blank" href="https://www.youtube.com/watch?v=9-tvGcZ1Snk">here</a>.)
  </ul></td>
</tr>
<tr>
  <td valign="top" nowrap>2018-08-05</td>
  <td valign="top" nowrap><a name="0.5.0-beta-3">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0-beta-3/">0.5.0-&beta;<sub>3</sub></a></td>
  <td valign="top"><ul>
  <li>User <i>Martin</i> reported that the <i>Windows</i> build of
    prior versions is broken in that when called from a <i>Windows</i>
    <a target="_blank" href="https://docs.microsoft.com/en-us/windows-server/administration/windows-commands/cmd">cmd</a>
    box rather than from
    <a target="_blank" href="http://www.msys2.org/">MSYS2</a>
    it might come up
    with a message box like
    <br><a href="javascript:pbelkner.image_toggle(&apos;images/0.5.0-beta2-win-error.png&apos;,&apos;67&apos;)"><img id="images/0.5.0-beta2-win-error.png" src="images/0.5.0-beta2-win-error.png?stamp=230611-0935" onload="pbelkner.image_onload(&apos;images/0.5.0-beta2-win-error.png&apos;,&apos;67&apos;)"></a>
  <li>Hence this release is of interest just for <i>Windows</i> users
    in that it fixes the issue.
  <li>Many thanks, <i>Martin</i>!
  </ul></td>
</tr>
<tr>
  <td valign="top" nowrap>2018-08-02</td>
  <td valign="top" nowrap><a name="0.5.0-beta-2">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0-beta-2/">0.5.0-&beta;<sub>2</sub></a></td>
  <td valign="top"><ul>
  <li>User <i>Michal</i> reported that
    <a href="#0.5.0-beta-1">bs1770gain v0.5.0-&beta;<sub>1</sub></a>
    is crashing when run with
    <a target="_blank" href="http://opus-codec.org/">Opus</a>
    samples.
  <li>As root cause we could identify that (deprecated) 
    <a target="_blank" href="https://ffmpeg.org/doxygen/2.7/group__lavc__decoding.html#ga834bb1b062fbcc2de4cf7fb93f154a3e">avcodec_decode_audio4()</a>
    crashes when flushed with <tt>AV_CODEC_ID_OPUS</tt>.
  <li>As a workaround flushing the decoder is avoided now for <tt>AV_CODEC_ID_OPUS</tt>.
  <li>There&amp;s nothing preventing us from replacing deprectated API
    <tt>avcodec_decode_audio4()</tt> by the contemporary replacement API
    <a target="_blank" href="https://blogs.gentoo.org/lu_zero/2016/03/29/new-avcodec-api/">avcodec_send_packet()/avcodec_receive_frame</a>
    (as already announced for several times. Of course, it&amp;s easier said then done ...)
  <li>Thanks again <i>Michal</i>!
  </ul></td>
</tr>
<tr>
  <td valign="top" nowrap>2018-07-29</td>
  <td valign="top" nowrap><a name="0.5.0-beta-1">
    <a target="_blank" href="http://pbelkner.de/projects/files/bs1770gain/bs1770gain/0.5.0-beta-1/">0.5.0-&beta;<sub>1</sub></a></td>
  <td valign="top"><ul>
  <li>Essentially this is a re-compilation against current <i>FFmpeg</i>. As it
    turned out <i>bs100gain</i>  was showing unexpected behaviour when run with
    current (incompatible) <i>FFmpeg</i> libraries.
  <li>While at it we guarded <i>bs1770gain</i> against being run with incompatible
    <i>FFmpeg</i> and <i>SoX</i> libraries.
  <li>Fixed some bugs:<ul>
    <li><a target="_blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=881131">#881131</a>:
      The bug was forced due to artifical test data faking zero channels: 
<div class="vim"><tt>peter@debian-9-32:~/msys64/bs1770gain$ <b>~/bs1770gain/bin/bs1770gain ./bug-881131-channel-underflow/poc -o output</b>
<br>analyzing ...
<br>  [1/1] "poc": Error channel underflow (0 - should be 1 at min): ffsox_frame_reader_create() - "ffsox_frame_reader.c" (55).
<br>Error creating frame reader: ffsox_frame_reader_new() - "ffsox_frame_reader.c" (132).
<br>Error creating frame reader: ffsox_analyze() - "ffsox_analyze.c" (68).
<br>Error gathering track statistics - "bs1770gain_tree.c" (152).
<br>peter@debian-9-32:~/msys64/bs1770gain$ _</tt></div>
    <li><a target="_blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=881132">#881132</a>:
      The bug was forced due to artifical test data faking a number of
      channels by far greater then the numer supported by <i>FFmpeg</i>: 
<div class="vim"><tt>peter@debian-9-32:~/msys64/bs1770gain$ <b>~/bs1770gain/bin/bs1770gain ./bug-881132-channel-overflow/poc -o output</b>
<br>analyzing ...
<br>  [1/1] "poc": Error channel overflow (31 - should be 8 at max): ffsox_frame_reader_create() - "ffsox_frame_reader.c" (63).
<br>Error creating frame reader: ffsox_frame_reader_new() - "ffsox_frame_reader.c" (132).
<br>Error creating frame reader: ffsox_analyze() - "ffsox_analyze.c" (68).
<br>Error gathering track statistics - "bs1770gain_tree.c" (152).
<br>peter@debian-9-32:~/msys64/bs1770gain$ _</tt></div>
    <li><a target="_blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=883198">#883198</a>:
      The bug was forced due to artifical test data fooling <i>FFmpeg</i> to come
      up with a zero <i>codec id</i>:
<div class="vim"><tt>peter@debian-9-32:~/msys64/bs1770gain$ <b>~/bs1770gain/bin/bs1770gain ./bug-883198-missing-codec-id/poc -o output</b>
<br>analyzing ...
<br>  [1/1] "poc": Error finding decoder: ffsox_frame_reader_create() - "ffsox_frame_reader.c" (48).
<br>Error creating frame reader: ffsox_frame_reader_new() - "ffsox_frame_reader.c" (132).
<br>Error creating frame reader: ffsox_analyze() - "ffsox_analyze.c" (68).
<br>Error gathering track statistics - "bs1770gain_tree.c" (152).
<br>peter@debian-9-32:~/msys64/bs1770gain$ _</tt></div>
    </ul>
    <li>Re-designed the dynamic loader module
      (<tt>"ffsox_dynload.c"</tt> vs. <tt>"ffsox_dynload2.c"</tt>).
  </ul></td>
</tr>
<tr>
  <td valign="top">2017-01-10</td>
  <td valign="top">&nbsp;</td>
  <td>Added a <a href="#political">political statement</a> to the top of this page.</td>
</tr>
<tr>
  <td valign="top">2016-12-08</td>
  <td valign="top">0.4.12</td>
  <td>Added
  <a target="_blank" href="https://en.wikipedia.org/wiki/UTF-16">UTF-16</a>
  support to the Windows Console. Linux should not be affected and should have been worked
  all the time because being based on
  <a target="_blank" href="https://en.wikipedia.org/wiki/UTF-8">UTF-8</a>.
  This development was triggered by
  <a target="_blank" href="http://blog.naver.com/eqmaker/">Seongkyun (Andrei) Kim</a>
  who is located in Korea and provided some testing.</td>
</tr>
<tr>
  <td valign="top">2016-12-06</td>
  <td valign="top">&nbsp;</td>
  <td valign="top">Thanks to
  Seongkyun (Andrei) Kim
  there is an introduction to <tt>bs1770gain</tt> in Korean language available at
  <a target="_blank" href="http://blog.naver.com/eqmaker/220879120285">http://blog.naver.com/eqmaker/220879120285</a>
  and a manual at
  <a target="_blank" href="http://www.eqmaker.kr/public/BS1770GAIN_Manual_KOR-20161206.pdf">http://www.eqmaker.kr/public/BS1770GAIN_Manual_KOR-20161206.pdf</a>.
  </td>
</tr>
<tr>
  <td valign="top">2016-11-10</td>
  <td valign="top">&nbsp;</td>
  <td valign="top"><a name="trump">To all you great people out there
  in the US: Thank you for electing Donald Trump!</a></td>
</tr>
<tr>
  <td valign="top">2016-08-13</td>
  <td valign="top">0.4.11</td>
  <td valign="top">
  Just recently a very talented guy who calls himself <tt>kevinlekiller</tt>
  (<a target="_blank" href="https://github.com/kevinlekiller/">https://github.com/kevinlekiller/</a>)
  approached me with a bunch of bugs he obviously had learned the hard way
  by <i>using</i> the tool (i.e. by not artificially testing it). But not just
  that, he also proposed a solution for each of the bugs:
  <a target="_blank" href="https://gist.github.com/kevinlekiller/62730fa5ddcf791107a723b1f235773e">https://gist.github.com/kevinlekiller/62730fa5ddcf791107a723b1f235773e</a>. This release mainly consists of his contributions.
  <ul>
  <li>Fixed ignoring the <tt>--audio=&lt;n&gt;</tt> option.
  <li>Fixed crashing with files containing more than 5 audio streams.
  </ul>
  </td>
</tr>
<tr>
  <td valign="top">2016-07-18</td>
  <td valign="top">0.4.10</td>
  <td valign="top">
  Fixed writing xml escaped strings with the <tt>--xml</tt> option.
  Please note that <tt>bs1770gain</tt> is not officially supported on OSX
  even if it seems to build on OSX platforms and that it hence don&amp;t
  take into account
  <a target="_blank" href="https://en.wikipedia.org/wiki/Unicode_equivalence">unicode mapping anomalies</a>
  between OSX and Linux/Windows (NFD/NFC). It will always output the unicode
  dialect common on the platform and hence the generated XML is not portable
  between OSX and Linux/Windows.
  </td>
</tr>
<tr>
  <td valign="top">2016-03-16</td>
  <td valign="top">0.4.9</td>
  <td valign="top"><ul>
  <li>In <tt>"ffsox_frame_convert.c"</tt>, replaced constant <tt>~0ll</tt> by <tt>~0ull</tt> (sould fix
    <a target="blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=811955">#811955</a>).
  <li>Replaced  <tt>av_free_packet()</tt> by <tt>av_packet_unref()</tt> (should fix
    <a target="blank" href="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=810563">#810563</a>).
  </ul></td>
</tr>
<tr>
  <td valign="top">2015-12-19</td>
  <td valign="top">0.4.8</td>
  <td valign="top"><ul>
  <li>There&amp;s a new option <tt>--norm=&lt;float&gt;</tt> allowing to set the reference loudness to some value apart from -23.0 (EBU R128), -24.0 (ATSC A/85), or -18.0 (ReplayGain 2.0).
  <li>Loudness values are written to the output console with two places after the decimal point.
  <li>Regarding the Windows version, added some support for unicode paths (i.e. non-OEM).
  </ul></td>
</tr>
<tr>
  <td valign="top">2015-09-15</td>
  <td valign="top">0.4.7</td>
  <td valign="top">Fixed a serious bug regarding the <tt>-r</tt> option.</td>
</tr>
<tr>
  <td valign="top">2015-09-12</td>
  <td valign="top">0.4.6</td>
  <td valign="top"><ul>
  <li>There&amp;s a new option <tt>--xml</tt> for producing XML-output.
  <li>There&amp;s a new option <tt>--stereo</tt>. The effect is that down-mix to stereo only happens
    if requested. The old version always silently down-mixes to stereo which is fixed now.
   <li>FFmpeg has bumped their version numbers, i.e is not binary compatible to the
     old version. The new binary release now requires <i>avutil-55</i>, <i>swresample-2</i>,
     <i>avcodec-57</i>, and <i>avformat-57</i>.
  </ul></td>
</tr>
<tr>
  <td valign="top">2015-06-25</td>
  <td valign="top">0.4.5</td>
  <td valign="top">Various fixes mainly to make BS1770GAIN compile on various architectures.</td>
</tr>
<tr>
  <td valign="top">2015-06-22</td>
  <td valign="top">0.4.4</td>
  <td valign="top"><ul>
    <li>Fixed "stuttering" videos.
    <li>Thanks to Petter Reinholdtsen there is now an official BS1770GAIN package available on Debian.
    <a target="_blank" href="http://people.skolelinux.org/pere/blog/Measuring_and_adjusting_the_loudness_of_a_TV_channel_using_bs1770gain.html">Read</a>
    about Petter&apos;s plans regarding BS1770GAIN.
  </ul</td>
</tr>
<tr>
  <td valign="top">2015-06-15</td>
  <td valign="top">0.4.3</td>
  <td valign="top"><ul>
    <li>Automake/Autoconf compatible source code distribution.
    <li>Several fixes.
  </ul</td>
</tr>
<tr>
  <td valign="top">2015-06-08</td>
  <td valign="top">0.4.2</td>
  <td valign="top">Fixed memory leaks.</td>
</tr>
<tr>
  <td valign="top">2015-01-29</td>
  <td valign="top">0.4.1</td>
  <td valign="top">Several fixes.</td>
</tr>
<tr>
  <td valign="top">2015-01-14</td>
  <td valign="top">0.4.0</td>
  <td valign="top"><ul>
    <li>Integrated BS.1770 analysis into the finite state machine.
    <li>Added automatic TRACK and DISC tags extension.
    <li>Added <tt>--extension &lt;extension&gt;</tt> option.
    <li>Several fixes.
  </ul></td>
</tr>
<tr>
  <td valign="top">2015-01-08</td>
  <td valign="top">0.3.2</td>
  <td valign="top"><ul>
    <li>Added another extension.
    <li>Several fixes.
  </ul></td>
</tr>
<tr>
  <td valign="top">2014-12-30</td>
  <td valign="top">0.3.1</td>
  <td valign="top">Minor fixes.</td>
</tr>
<tr>
  <td valign="top">2014-12-23</td>
  <td valign="top">0.3.0</td>
  <td valign="top">Finite state machine for remuxing/transcoding.</td>
</tr>
<tr>
  <td valign="top">2014-12-11</td>
  <td valign="top">0.2.1</td>
  <td valign="top"><ul>
    <li>Fixed a critical bug breaking the whole program (thanks to Michal &Scaron;mucr).
    <li>Improved diagnostic of erroneous command line.
  </ul></td>
</tr>
<tr>
  <td valign="top">2014-12-07</td>
  <td valign="top">0.2.0</td>
  <td valign="top">Added <a href="#experimental">experimental options</a>.</td>
</tr>
<tr>
  <td valign="top">2014-12-04</td>
  <td valign="top">0.1.1</td>
  <td valign="top"><ul>
  <li>Compiled with <tt>-O2</tt>.
  <li>Slightly different error handling with <tt>getopt_long()</tt>.
  <li>Added the FFmpeg and SoX shared objects / dynamic link libraries to the release.
  </ul></td>
</tr>
<tr>
  <td valign="top">2014-12-01</td>
  <td valign="top">0.1.0</td>
  <td valign="top">Initial release.</td>
</tr>
</table></div>


<a name="intro"><h3>2. Introduction</h3><!-- [ -->

<p>Audio from different sources can be expected to be different loud and
it would be nice to automatically adapt all these audio sources to the same
loudness. Fortunately the
<a target="_blank" href="http://www.itu.int/rec/R-REC-BS.1770/en">ITU-R in their BS.1770 standard</a>
defines an algorithm which makes it possible to measure the loudness of
a certain audio source. Based on the ITU-R BS.1770 measure several standards
bodys defined what they think is the preferred loudness audio should normalize
to, notably
<ul>
<li><a target="_blank" href="https://tech.ebu.ch/loudness">EBU R128</a> (Europe) says -23.0,
<li><a target="_blank" href="http://www.atsc.org/cms/index.php/standards/recommended-practices/185-a85-techniques-for-establishing-and-maintaining-audio-loudness-for-digital-television">ATSC A/85</a> (Northern America) says -24.0, and
<li><a target="_blank" href="http://wiki.hydrogenaud.io/index.php?title=ReplayGain_2.0_specification">ReplayGain 2.0</a> says -18.0.
</ul>

<tt>BS1770GAIN</tt> implements the ITU-R BS.1770 loudness measurement
algorithm and makes it accessable to a user in several ways as known
from the EBU R128 standard, i.e.
<ul>
  <li>measurement of the <i>integrated loudness</i>,
  <li>measurement of the <i>maximum shortterm loudness</i>,
  <li>measurement of the <i>maximum momentary loudness</i>, and
  <li>measurement of the <i>loudness range</i>.
</ul>

<p>The integrated loudness is the two phase gated measurement of
the mean loudness as described by ITU-R BS.1770. All measures are
described in detail by EBU R128.

<p>On top of that <tt>BS1770GAIN</tt> provides to additional
measures not related to loudness:

<ul>
  <li>measurement of the <i>maximum sample peak</i> (ordinary peak), and
  <li>measurement of the <i>maximum true peak</i> (peak due to upsampling).
</ul>

<p>Besides measuring the loudness <tt>BS1770GAIN</tt> is also able to
adapt it conformant with the above mentioned statndards. There are two
ways to achieve this:

<ul>
<li>write <tt>REPLAYGAIN</tt> tags with the respective information to the file and leave
  the task of applying the gain to the playback device, or
<li>actually apply the gain.
</ul>

<p>Following we describe in more detail how <tt>BS1770GAIN</tt> has to be
customized.<!-- ] -->

<a name="usage"><h3>3. Usage</h3>

<a name="measure"><h4>3.1. Loudness Measurement</h4>

<p>In the simplest case we want to analyze the <i>(integrated) loudness</i> of
a track or, a bit more general, an album.
Assuming the album is stored in some folder (in the following examples the folder is
<tt>"~/2012_live_at_the_georgia_theatre"</tt>) we may issue the following command:

<blockquote class="vim"><pre>
$ <b>bs1770gain ~/2012_live_at_the_georgia_theatre</b>
/home/home/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      integrated:  -16.2 LUFS / -6.8 LU
  [2/3] "02_good_one_coming_on.mkv":
      integrated:  -15.9 LUFS / -7.1 LU
  [3/3] "03_up_in_smoke.mkv":
      integrated:  -15.6 LUFS / -7.4 LU
  [ALBUM]:
      integrated:  -15.9 LUFS / -7.1 LU
done.
</pre></blockquote>

Immediatly <tt>BS1770GAIN</tt> gives us the (integrated) loudness of each track
as well as of the whole album.

<p>The figure behind the slash is the gain one has to apply in order to
achieve a certain loudness. Which loudness to choose depends on the users
preferences and there are several standards to choose from, noatbly
EBU R128, ATSC A/85, and ReplayGain 2.0 (cf. above). <tt>BS1770GAIN</tt>
silently assumes EBU R128. If we want to alter this we have to utilize the
<tt>--atsc</tt> or <tt>--replaygain</tt> options, respectively. For example,
if we want to normalize to ATSC A/85 we have to issue the command

<blockquote class="vim"><pre>
$ <b>bs1770gain ~/2012_live_at_the_georgia_theatre --atsc</b>
/home/home/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      integrated:  -16.2 LUFS / -7.8 LU
  [2/3] "02_good_one_coming_on.mkv":
      integrated:  -15.9 LUFS / -8.1 LU
  [3/3] "03_up_in_smoke.mkv":
      integrated:  -15.6 LUFS / -8.4 LU
  [ALBUM]:
      integrated:  -15.9 LUFS / -8.1 LU
done.
</pre></blockquote>

<p>You may request XML output by means of the <tt>--xml</tt> option:

<blockquote class="vim"><pre>
$ <b>bs1770gain ~/2012_live_at_the_georgia_theatre --xml</b>
&lt;bs1770gain&gt;
  &lt;album folder="2012_live_at_the_georgia_theatre"&gt;
    &lt;track total="3" number="1" file="01_intro_like_i_am.mkv"&gt;
      &lt;integrated lufs="-16.2" lu="-6.8" /&gt;
    &lt;/track&gt;
    &lt;track total="3" number="2" file="02_good_one_coming_on.mkv"&gt;
      &lt;integrated lufs="-15.9" lu="-7.1" /&gt;
    &lt;/track&gt;
    &lt;track total="3" number="3" file="03_up_in_smoke.mkv"&gt;
      &lt;integrated lufs="-15.6" lu="-7.4" /&gt;
    &lt;/track&gt;
    &lt;summary total="3"&gt;
      &lt;integrated lufs="-15.9" lu="-7.1" /&gt;
    &lt;/summary&gt;
  &lt;/album&gt;
&lt;/bs1770gain&gt;
</pre></blockquote>

<p>In general, if we want to analyze properties out of <i>intergrated
loudness</i>, <i>maximum shortterm loudness</i>, <i>maximum momentary
loudness</i>, <i>loudness range</i>, <i>maximum sample peak</i>,
or <i>maximum true peak</i> we have to choose the appropriate command
line switches out of <tt>-i</tt>/<tt>--integrated</tt>,
<tt>-s</tt>/<tt>--shortterm</tt>, <tt>-m</tt>/<tt>--momentary</tt>,
<tt>-r</tt>/<tt>--range</tt>, <tt>-p</tt>/<tt>--samplepeak</tt>, and
<tt>-t</tt>/<tt>--truepeak</tt>, respectivley. Assuming we&amp;re interested
in all of these properties at once we have to issue following command:

<blockquote class="vim"><pre>
$ <b>bs1770gain ~/2012_live_at_the_georgia_theatre -ismrpt</b>
/home/home/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
       integrated:  -16.2 LUFS / -6.8 LU
        shortterm:  -12.3 LUFS / -10.7 LU
        momentary:  -12.3 LUFS / -10.7 LU
            range:  4.9 LUFS
      sample peak:  -2.2 SPFS / 0.772912
        true peak:  -2.2 TPFS / 0.774780
  [2/3] "02_good_one_coming_on.mkv":
       integrated:  -15.9 LUFS / -7.1 LU
        shortterm:  -12.0 LUFS / -11.0 LU
        momentary:  -12.0 LUFS / -11.0 LU
            range:  5.9 LUFS
      sample peak:  -2.9 SPFS / 0.714886
        true peak:  -2.9 TPFS / 0.714886
  [3/3] "03_up_in_smoke.mkv":
       integrated:  -15.6 LUFS / -7.4 LU
        shortterm:  -12.3 LUFS / -10.7 LU
        momentary:  -12.3 LUFS / -10.7 LU
            range:  5.4 LUFS
      sample peak:  -2.8 SPFS / 0.726805
        true peak:  -2.8 TPFS / 0.726805
  [ALBUM]:
       integrated:  -15.9 LUFS / -7.1 LU
        shortterm:  -12.0 LUFS / -11.0 LU
        momentary:  -12.0 LUFS / -11.0 LU
            range:  5.3 LUFS
      sample peak:  -2.2 SPFS / 0.772912
        true peak:  -2.2 TPFS / 0.774780
done.
</pre></blockquote>

<p>If we want to analyze just a short part of the files (say starting
at 1 minute and lasting 30 seconds) we may issue the following command
utilizing the <tt>-b</tt>/<tt>--begin</tt> and <tt>-d</tt>/<tt>--duration</tt>
options:

<blockquote class="vim"><pre>
$ <b>bs1770gain ~/2012_live_at_the_georgia_theatre -b 1:00 -d 30</b>
/home/home/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      integrated:  -17.0 LUFS / -6.0 LU
  [2/3] "02_good_one_coming_on.mkv":
      integrated:  -15.4 LUFS / -7.6 LU
  [3/3] "03_up_in_smoke.mkv":
      integrated:  -16.0 LUFS / -7.0 LU
  [ALBUM]:
      integrated:  -16.1 LUFS / -6.9 LU
done.
</pre></blockquote>

<a name="apply"><h4>3.2. Applying the Gain</h4>

<p>With the help of <tt>BS1770GAIN</tt> we can adjust the loudness on the fly.
There are two ways to achieve this:

<ul>
<li>write <tt>REPLAYGAIN</tt> tags with the respective information to the file and leave
  the task of applying the gain to the playback device, or
<li>actually apply the gain.
</ul>

<p>In each case we have to instruct <tt>BS1770GAIN</tt> where to write the output
files by means of the <tt>-o</tt>/<tt>--output</tt> switch which has to
point to the output folder. If we want <tt>BS1770GAIN</tt> to really apply the
gain and not just to write tags to the files we also have to supply the
<tt>-a</tt>/<tt>--apply</tt> switch. Two examples follow in order to
illustrate this.

<p>The first example shows how to just write <tt>REPLAYGAIN</tt> tags to the output files.
In this case we only have to supply the <tt>-o</tt>/<tt>--output</tt>
switch:

<blockquote class="vim"><pre>
<b>$ bs1770gain ~/2012_live_at_the_georgia_theatre -o ./test</b>
/home/home/number-3/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      integrated:  -16.2 LUFS / -6.8 LU
  [2/3] "02_good_one_coming_on.mkv":
      integrated:  -15.9 LUFS / -7.1 LU
  [3/3] "03_up_in_smoke.mkv":
      integrated:  -15.6 LUFS / -7.4 LU
  [ALBUM]:
      integrated:  -15.9 LUFS / -7.1 LU
remuxing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv" ... done.
  [2/3] "02_good_one_coming_on.mkv" ... done.
  [3/3] "03_up_in_smoke.mkv" ... done.
done.
</pre></blockquote>

<p>We can convince ourselves that there are indeed <tt>REPLAYGAIN</tt> tags
written to the files and that the video and the audio streams are not altered.
To that means we make use of the <tt>-l</tt>/<tt>--list</tt> switch:

<blockquote class="vim"><pre>
$ <b>bs1770gain ./test/2012_live_at_the_georgia_theatre -l</b>
./test/2012_live_at_the_georgia_theatre
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/01_intro_like_i_am.mkv&amp;:
  Metadata:
    title           : Intro / Like I Am
    REPLAYGAIN_TRACK_GAIN: -6.81 LU
    CREATION_TIME   : 2013-02-09 13:41:04
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 1
    GENRE           : Rock
    REPLAYGAIN_ALBUM_GAIN: -7.05 LU
    REPLAYGAIN_ALGORITHM: ITU-R BS.1770
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.00
    ENCODER         : Lavf56.15.101
  Duration: 00:05:15.36, start: 0.033000, bitrate: 7516 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 448 kb/s (default)
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/02_good_one_coming_on.mkv&amp;:
  Metadata:
    title           : Good One Coming On
    REPLAYGAIN_TRACK_GAIN: -7.05 LU
    CREATION_TIME   : 2013-02-09 13:46:45
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 2
    GENRE           : Rock
    REPLAYGAIN_ALBUM_GAIN: -7.05 LU
    REPLAYGAIN_ALGORITHM: ITU-R BS.1770
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.00
    ENCODER         : Lavf56.15.101
  Duration: 00:03:37.27, start: 0.033000, bitrate: 7741 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 448 kb/s (default)
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/03_up_in_smoke.mkv&amp;:
  Metadata:
    title           : Up In Smoke
    REPLAYGAIN_TRACK_GAIN: -7.37 LU
    CREATION_TIME   : 2013-02-09 10:09:16
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 3
    GENRE           : Rock
    REPLAYGAIN_ALBUM_GAIN: -7.05 LU
    REPLAYGAIN_ALGORITHM: ITU-R BS.1770
    REPLAYGAIN_REFERENCE_LOUDNESS: -23.00
    ENCODER         : Lavf56.15.101
  Duration: 00:03:33.77, start: 0.033000, bitrate: 8151 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: ac3, 48000 Hz, stereo, fltp, 448 kb/s (default)
</pre></blockquote>

The second example deals with really applying the gain. For that order we not
only have to supply the <tt>-o</tt>/<tt>--output</tt> switch but also the
<tt>-a</tt>/<tt>--apply</tt> switch:

<blockquote class="vim"><pre>
$ bs1770gain ~/2012_live_at_the_georgia_theatre -ao ./test
/home/home/number-3/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      integrated:  -16.2 LUFS / -6.8 LU
  [2/3] "02_good_one_coming_on.mkv":
      integrated:  -15.9 LUFS / -7.1 LU
  [3/3] "03_up_in_smoke.mkv":
      integrated:  -15.6 LUFS / -7.4 LU
  [ALBUM]:
      integrated:  -15.9 LUFS / -7.1 LU
transcoding "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv" ... done.
  [2/3] "02_good_one_coming_on.mkv" ... done.
  [3/3] "03_up_in_smoke.mkv" ... done.
done.
</pre></blockquote>

<p>An obvious difference to the previous example is that <tt>BS1770GAIN</tt> now uses the term
<i>transcoding</i> instead of <i>remuxing</i>. The reason for that is
that the streams are now altered and no <tt>REPLAYGAIN</tt>-tags
appear if we make the contents of the transcoded files visible
by means of the <tt>-l</tt>/<tt>--list</tt> switch:

<blockquote class="vim"><pre>
$ bs1770gain ./test/2012_live_at_the_georgia_theatre -l
./test/2012_live_at_the_georgia_theatre
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/01_intro_like_i_am.mkv&amp;:
  Metadata:
    title           : Intro / Like I Am
    GENRE           : Rock
    CREATION_TIME   : 2013-02-09 13:41:04
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 1
    ENCODER         : Lavf56.15.101
  Duration: 00:05:16.87, start: 0.033000, bitrate: 8626 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: flac, 48000 Hz, stereo, s32 (24 bit) (default)
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/02_good_one_coming_on.mkv&amp;:
  Metadata:
    title           : Good One Coming On
    GENRE           : Rock
    CREATION_TIME   : 2013-02-09 13:46:45
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 2
    ENCODER         : Lavf56.15.101
  Duration: 00:03:38.77, start: 0.033000, bitrate: 8827 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: flac, 48000 Hz, stereo, s32 (24 bit) (default)
Input #0, matroska,webm, from &amp;./test/2012_live_at_the_georgia_theatre/03_up_in_smoke.mkv&amp;:
  Metadata:
    title           : Up In Smoke
    GENRE           : Rock
    CREATION_TIME   : 2013-02-09 10:09:16
    ARTIST          : Blackberry Smoke
    ALBUM           : Live At The Georgia Theatre
    YEAR            : 2012
    DISC            : 1/1
    track           : 3
    ENCODER         : Lavf56.15.101
  Duration: 00:03:35.27, start: 0.033000, bitrate: 9266 kb/s
    Stream #0:0: Video: mpeg2video (Main), yuv420p(tv, smpte170m), 720x480 [SAR 32:27 DAR 16:9], max. 8700 kb/s, SAR 186:157 DAR 279:157, 59.94 fps, 59.94 tbr, 1k tbn, 59.94 tbc (default)
    Stream #0:1: Audio: flac, 48000 Hz, stereo, s32 (24 bit) (default)
</pre></blockquote>

<p>The most important observation is that the audio stream now is a
24 bit <tt>FLAC</tt> and no longer an <tt>AC3</tt>.

<p>It may happen that it is not appropriate to base the gain on the
measurement of the integrated loudness but insteed on the maximum shorterm loudness
or on the maximum momentary loudness. For that means there is the
<tt>-u</tt>/<tt>--use</tt> switch which has to be supplied with the method
to use, i.e. <tt>integrated</tt>, <tt>shorterm</tt>, or <tt>momentary</tt>.
The following illustrates this:

<blockquote class="vim"><pre>
<b>$ bs1770gain ~/2012_live_at_the_georgia_theatre -o ./test -u shortterm</b>
/home/home/number-3/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":
      shortterm:  -12.3 LUFS / -10.7 LU
  [2/3] "02_good_one_coming_on.mkv":
      shortterm:  -12.0 LUFS / -11.0 LU
  [3/3] "03_up_in_smoke.mkv":
      shortterm:  -12.3 LUFS / -10.7 LU
  [ALBUM]:
      shortterm:  -12.0 LUFS / -11.0 LU
remuxing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv" ... done.
  [2/3] "02_good_one_coming_on.mkv" ... done.
  [3/3] "03_up_in_smoke.mkv" ... done.
done.
</pre></blockquote>

<a name="experimental"><h4>3.3. Experimental Options</h4>

<p>We can imagine the ITU-R BS.1770 measurement device as a blackbox 
where time after time portions of the audio with the same length
<ul>
 <li>are floating in,
 <li>staying for some time inside, and
 <li>finally are floating out.
</ul>

Such portions of audio are called a <i>block</i>. We assume that at
a given time at least one audio block is inside the measurement device,
but in general there are more than one are there.

<p>The measurement device does some sophisticated calculation on the
audio blocks currently inside with the loudness as the result.
We don&amp;t want to go into all the details here but it should be clear
that the result depends at least on the following:

<ul>
<li>on the <i>length</i> of the audio blocks,
<li>on their <i>overlap</i>, and
<li>on what is considered to be a silence <i>gate</i>.
</ul>

EBU R128 defines two such measurement devices,
<ul>
<li>one we would like to call the <i>momentary</i> device, and
<li>the other one we would like to call the <i>shortterm</i> device.
</ul>

<p>The momentary device has the following properties:
<ul>
<li><b>length:</b> <i>0.4 s</i>,
<li><b>overlap:</b> <i>75 %</i>, and
<li><b>gate:</b> <i>-10.0</i> (defined just for integrated loudness),
</ul>

wheras the shorttime device has the following:

<ul>
<li><b>length:</b> <i>3.0 s</i>,
<li><b>overlap:</b> <i>67 %</i>, and
<li><b>gate:</b> <i>-20.0</i> (defined just for loudness range).
</ul>

After all we can calculate 6 measures from the two blocks,
two of them are non-standard:

<ul>
<li>the <i>mean loudness</i> of the momentary block (corresponds
  to the integrated loudness),
<li>the <i>maximum loudness</i> of the momentary block
  (corresponds to the maximum momentary loudness),
<li>the <i>loudness range</i> of the momentary block (has no
  correspondence to a standard term),
<li>the <i>mean loudness</i> of the shortterm block (has no
  correspondence to a standard term),
<li>the <i>maximum loudness</i> of the shortterm block
  (corresponds to the maximum shortterm loudness), and
<li>the <i>loudness range</i> of the shortterm block
  (corresponds to the loudness range).
</ul>

<p>This gives rise to a variety of possible parameters if one
takes into account that it is possible to customize measurement
devices themselfs (cf.  "experimental options" under "command line
syntax" below).

<p>Finally we give an example on how to RG tag with the non-standard
measure <i>shortterm mean loudness</i>:

<blockquote class="vim"><pre>
$ <b>./bs1770gain ~/2012_live_at_the_georgia_theatre -o ./test -u shortterm-mean</b>
/home/home/2012_live_at_the_georgia_theatre
analyzing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv":         
      shortterm mean:  -16.2 LUFS / -6.8 LU
  [2/3] "02_good_one_coming_on.mkv":         
      shortterm mean:  -16.0 LUFS / -7.0 LU
  [3/3] "03_up_in_smoke.mkv":         
      shortterm mean:  -15.6 LUFS / -7.4 LU
  [ALBUM]:
      shortterm mean:  -16.0 LUFS / -7.0 LU
remuxing "2012_live_at_the_georgia_theatre" ...
  [1/3] "01_intro_like_i_am.mkv" ... done.
  [2/3] "02_good_one_coming_on.mkv" ... done.
  [3/3] "03_up_in_smoke.mkv" ... done.
done.
</pre></blockquote>

<!--
<blockquote class="vim"><pre>
</pre></blockquote>
-->

<a name="cli"><h3>4. Command Line Syntax</h3>

<blockquote><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain -h</b>
bs1770gain.exe 0.6.7, Copyright &#40;C&#41; Peter Belkner 2014-2020.
Nanos gigantum humeris insidentes. #TeamWhite
http://bs1770gain.sourceforge.net/
Compiled for Windows 32 bit by means of gcc 9.2.0 on Windows 6.1.7601
&#40;Service Pack 1&#41; expecting
      libavutil:  56.42.100,
  libswresample:  3.6.100,
     libavcodec:  58.74.100,
    libavformat:  58.41.100,
     libswscale:  5.6.100,
    libpostproc:  55.6.100, and
    libavfilter:  7.77.100.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Usage:  bs1770gain.exe [options] &lt;file/dir&gt; [&lt;file/dir&gt; ...]

Options:
 -v,--version:  print this message and exit
 -h,--help[=&lt;topic&gt;]?:  print this message and exit
    &#40;optional argument &lt;topic&gt; out of "codec" or "suffix"&#41;
 -i,--integrated:  calculate integrated loudness
 -s,--shortterm:  calculate maximum shortterm loudness
 -m,--momentary:  calculate maximum momentary loudness
 -r,--range:  calculate loudness range
 -p,--sample-peak:  calculate maximum sample peak
 -t,--true-peak:  calculate maximum true peak
 -b &lt;timestamp&gt;,--begin=&lt;timestamp&gt;:  begin decoding at
   timestamp &#40;in microseconds, format: hh:mm:ss.ms&#41;
 -d &lt;duration&gt;,--duration=&lt;duration&gt;:  let decoding
   last duration &#40;in microseconds, format: hh:mm:ss.ms&#41;
 -u &lt;method&gt;,--use=&lt;method&gt;:  base replaygain calculation on
   &lt;method&gt; &#40;with respect to the -a/--apply and -o/--output
   options. available methods:
     integrated &#40;default&#41;,
     momentary, or
     shortterm
   experimental methods:
     momentary-mean &#40;synonym for "integrated"&#41;,
     momentary-maximum &#40;synonym for "momentary"&#41;,
     shortterm-mean, or
     shortterm-maximum &#40;synonym for "shortterm"&#41;
 -a [&lt;weight&gt;]/--apply[=&lt;weight&gt;]:  apply the EBU/ATSC/RG
   album gain &#40;in conjunction with the -o/--output option.&#41;
   when &lt;weight&gt; out of [0.0 .. 1.0] is provided: album gain
   plus &lt;weight&gt;*&#40;track gain - album gain&#41;.
 -o &lt;folder&gt;,--output=&lt;folder&gt;:  write replaygain tags
   or apply the EBU/ATSC/RG gain, respectively,
   and output to &lt;folder&gt;.
   specify either option -o/--output or option --overwrite
   but not both.
 -f &lt;file&gt;,--file=&lt;file&gt;:  write analysis to an utf-8 log file
 --utf-16[=&lt;file&gt;]:  write an utf-16 log file instead of an utf-8
   log file &#40;&lt;file&gt; can be omitted when provided by means of the
   -f/--file option.&#41;
 --ebu:  calculate replay gain according to EBU R128
   &#40;-23.0 LUFS, default&#41;
 --atsc:  calculate replay gain according to ATSC A/85
   &#40;-24.0 LUFS&#41;
 --replaygain:  calculate replay gain according to
   ReplayGain 2.0 &#40;-18.0 LUFS&#41;
 --track-tags:  write track tags
 --album-tags:  write album tags
 --tag-prefix=&lt;prefix&gt;:  instead of "REPLAYGAIN",
   use &lt;prefix&gt; as replaygain tag prefix
 --unit=&lt;unit&gt;:  write results and tags with &lt;unit&gt; out of
   "ebu" or "db"
 --audio=&lt;index&gt;/--ai=&lt;index&gt;:  select audio index &#40;corresponds
   to [0:&lt;index&gt;] in FFmpeg listing, cf. -l/--list option&#41;
 --video=&lt;index&gt;/--vi=&lt;index&gt;:  select video index &#40;corresponds
   to [0:&lt;index&gt;] in FFmpeg listing, cf. -l/--list option&#41;
 --matrix:&lt;matrix&gt;:  remix to &lt;matrix&gt; out of
    front-left,
    front-right,
    front-center,
    low-frequency,
    back-left,
    back-right,
    front-left-of-center,
    front-right-of-center,
    back-center,
    side-left,
    side-right,
    top-center,
    top-front-left,
    top-front-center,
    top-front-right,
    top-back-left,
    top-back-center,
    top-back-right,
    stereo-left,
    stereo-right,
    wide-left,
    wide-right,
    surround-direct-left,
    surround-direct-right,
    low-frequency-2,
    layout-mono,
    layout-stereo,
    layout-2point1,
    layout-2-1,
    layout-surround,
    layout-3point1,
    layout-4point0,
    layout-4point1,
    layout-2-2,
    layout-quad,
    layout-5point0,
    layout-5point1,
    layout-5point0-back,
    layout-5point1-back,
    layout-6point0,
    layout-6point0-front,
    layout-hexagonal,
    layout-6point1,
    layout-6point1-back,
    layout-6point1-front,
    layout-7point0,
    layout-7point0-front,
    layout-7point1,
    layout-7point1-wide,
    layout-7point1-wide-back,
    layout-octagonal,
    layout-hexadecagonal, or
    layout-stereo-downmix
 --stereo:  shorthand for --matrix=layout-stereo
 --drc=&lt;float&gt;:  set AC3 dynamic range compression &#40;DRC&#41;
 -x [&lt;extension&gt;]?, --extension[=&lt;extension&gt;]?:  enable extension
   out of
    rename:  rename files according to TITLE tag
    csv:  read metadata from per-folder CSV file "folder.csv"
    copy:  copy non-audio files from source to destination
      folder
    tags:  automatically add the TRACK and DISC tags
    all:  all of the above &#40;can be omitted&#41;
 --suffix=&lt;suffix&gt;:  output to &lt;basename&gt;.&lt;suffix&gt;
    &#40;only useful in conjunction with option -o/--output&#41;
 --loglevel=&lt;level&gt;:  set FFmpeg loglevel to &lt;level&gt; out of
    quiet,
    panic,
    fatal,
    error,
    warning,
    info,
    verbose,
    debug, or
    trace
 --xml:  print results in xml format
 --time:  print out duration of program invocation
 --norm=&lt;float&gt;:  norm loudness to float.
 --overwrite:  replace any source file by its respective
    target file. specify either option -o/--output or option
    --overwrite but not both.
    WARNING:  use this option with extrem care. The source
      files will definitely be lost!!! For this reason using
      this option is discouraged. It&apos;s provided just for
      completeness.
 --codec=&lt;name&gt;:  use audio codec "&lt;name&gt;" for output
    default: "flac".&#41;
 --temp-prefix=&lt;prefix&gt;:  create temporary files with
    prefix "&lt;prefix&gt;" default: ".".&#41;
 --suppress-hierarchy:  suppress printing results up the
    hierarchy.
 --suppress-progess:  suppress printing processing progress

Experimental options:
1&#41; momentary block
 --momentary-mean:  calculate mean loudness based on
   momentary block &#40;same as --integrated&#41;
 --momentary-maximum:  calculate maximum loudness based
   on momentary block &#40;same as --momentary&#41;
 --momentary-range:  calculate loudness range based on
   momentary block
 --momentary-length=&lt;ms&gt;:  length of momentary block
   in milliseconds &#40;default: 400&#41;
 --momentary-overlap=&lt;percent&gt;:  overlap of momentary
   block in percent &#40;default: 75&#41;
 --momentary-mean-gate=&lt;gate&gt;:  silence gate for mean
   measurement of momentary block &#40;default: -10.0&#41;
 --momentary-range-gate=&lt;gate&gt;:  silence gate for range
   measurement of momentary block &#40;default: -20.0&#41;
 --momentary-range-lower-bound=&lt;float&gt;:  lower bound for
   range measurement of momentary block &#40;default: 0.1&#41;
 --momentary-range-upper-bound=&lt;float&gt;:  upper bound for
   range measurement of momentary block &#40;default: 0.95&#41;
2&#41; shortterm block
 --shortterm-mean:  calculate mean loudness based on
   shortterm block
 --shortterm-maximum:  calculate maximum loudness based
   on shortterm block &#40;same as --shortterm&#41;
 --shortterm-range:  calculate loudness range based on
   shortterm block &#40;same as --range&#41;
 --shortterm-length=&lt;ms&gt;:  length of shortterm block
   in milliseconds &#40;default: 3000&#41;
 --shortterm-overlap &lt;percent&gt;:  overlap of shortterm
   block in percent &#40;default: 67&#41;
 --shortterm-mean-gate=&lt;gate&gt;:  silence gate for mean
   measurement of shortterm block &#40;default: -10.0&#41;
 --shortterm-range-gate=&lt;gate&gt;:  silence gate for range
   measurement of shortterm block &#40;default: -20.0&#41;
 --shortterm-range-lower-bound=&lt;float&gt;:  lower bound for
   range measurement of shortterm block &#40;default: 0.1&#41;
 --shortterm-range-upper-bound=&lt;float&gt;:  upper bound for
   range measurement of shortterm block &#40;default: 0.95&#41;

Command line arguments may appear in any order.

root@root-pc MINGW32 ~/bs1770gain
# _
</pre></blockquote>


<a name="test"><h3>5. Test Cases</h3>

<p>Results for the <a href="http://tech.ebu.ch/webdav/site/tech/shared/testmaterial/ebu-loudness-test-setv03.zip">EBU R128 test vector</a>:

<ul>
<li>Test cases for Loudness Metering
(<a href="http://tech.ebu.ch/docs/tech/tech3341.pdf" target="_blank">tech3341.pdf</a>):

<blockquote><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ./ebu-loudness-test-setv03/*3341*.wav</b>
scanning 9
analyzing ...
[1/9] seq-3341-1-16bit.wav
  integrated (momentary mean): -22.96 LUFS / -0.04 LU
[2/9] seq-3341-2011-8_seq-3342-6-24bit-v02.wav
  integrated (momentary mean): -23.00 LUFS / 0.00 LU
[3/9] seq-3341-2-16bit.wav
  integrated (momentary mean): -32.96 LUFS / 9.96 LU
[4/9] seq-3341-3-16bit-v02.wav
  integrated (momentary mean): -23.02 LUFS / 0.02 LU
[5/9] seq-3341-4-16bit-v02.wav
  integrated (momentary mean): -23.02 LUFS / 0.02 LU
[6/9] seq-3341-5-16bit-v02.wav
  integrated (momentary mean): -22.99 LUFS / -0.01 LU
[7/9] seq-3341-6-5channels-16bit.wav
  integrated (momentary mean): -23.02 LUFS / 0.02 LU
[8/9] seq-3341-6-6channels-WAVEEX-16bit.wav
  integrated (momentary mean): -23.02 LUFS / 0.02 LU
[9/9] seq-3341-7_seq-3342-5-24bit.wav
  integrated (momentary mean): -22.99 LUFS / -0.01 LU
[COLLECTION]
  integrated (momentary mean): -23.16 LUFS / 0.16 LU
done.

root@root-pc MINGW32 ~/bs1770gain
# _
</pre></blockquote>

<li>Test cases for Loudness Range
(<a href="http://tech.ebu.ch/docs/tech/tech3342.pdf" target="_blank">tech3342.pdf</a>):

<blockquote><pre>
root@root-pc MINGW32 ~/bs1770gain
# <b>bs1770gain ./ebu-loudness-test-setv03/*3342*.wav -r</b>
scanning 6
analyzing ...
[1/6] seq-3341-2011-8_seq-3342-6-24bit-v02.wav
  integrated (momentary mean): -23.00 LUFS / 0.00 LU
   (shortterm) loudness range: 15.25 LRA
[2/6] seq-3341-7_seq-3342-5-24bit.wav
  integrated (momentary mean): -22.99 LUFS / -0.01 LU
   (shortterm) loudness range: 4.82 LRA
[3/6] seq-3342-1-16bit.wav
  integrated (momentary mean): -22.60 LUFS / -0.40 LU
   (shortterm) loudness range: 10.00 LRA
[4/6] seq-3342-2-16bit.wav
  integrated (momentary mean): -16.82 LUFS / -6.18 LU
   (shortterm) loudness range: 5.00 LRA
[5/6] seq-3342-3-16bit.wav
  integrated (momentary mean): -20.03 LUFS / -2.97 LU
   (shortterm) loudness range: 19.99 LRA
[6/6] seq-3342-4-16bit.wav
  integrated (momentary mean): -24.50 LUFS / 1.50 LU
   (shortterm) loudness range: 15.00 LRA
[COLLECTION]
  integrated (momentary mean): -21.18 LUFS / -1.82 LU
   (shortterm) loudness range: 16.46 LRA
done.

root@root-pc MINGW32 ~/bs1770gain
# _
</pre></blockquote>
</ul>
<p><hr>
<font style="font-size:12px"><b>Disclaimer:</b> Mit Urteil vom 12. Mai 1998 &minus; 312 O 85/98 &minus; &ldquo;Haftung f&uuml;r Links&rdquo; hat das Landgericht (LG) Hamburg entschieden, da&szlig; man durch das Setzen eines Links, die Inhalte der gelinkten Seite ggf. mit zu verantworten hat. Dies kann &minus; so das LG &minus; nur dadurch verhindert werden, da&szlig; man sich ausdr&uuml;cklich von diesen Inhalten distanziert. Hiermit distanzieren wir uns ausdr&uuml;cklich von den verlinkten bzw. zitierten oder als Zitat &uuml;bernommenen Seiten.</font>
</body>
</html>
